1.0.1 [2018-04-09 13:44:08 +0200]:

 - [4ff8626eced9] release: 1.0.1 (Vincent Bernat)
 - [c0dd6678ef93] daemon: use "mkdir -p" instead of "mkdir" (Vincent Bernat)
 - [05455522fdd5] Revert "daemon: use RuntimeDirectory= instead of mkdir to create chroot" (Vincent Bernat)
 - [478ec07ddc34] daemon: use RuntimeDirectory= instead of mkdir to create chroot (Vincent Bernat)
 - [c560c1ca38c6] build: try another way to circumvent macOS warning in libevent (Vincent Bernat)
 - [e72186255180] build: also build with embedded libevent in OSX (Vincent Bernat)
 - [eb779d02e144] build: don't be picky about deprecated stuff in libevent (Vincent Bernat)

1.0.0 [2018-04-08 18:30:57 +0200]:

 - [99a0b07d3288] release: prepare 1.0.0 (Vincent Bernat)
 - [f9da7943df17] Merge pull request #274 from vincentbernat/feature/keep-some-ports (Vincent Bernat)
 - [474c5baabeaa] Merge pull request #272 from westermo/fix-snmp-remTablesLastChange (Vincent Bernat)
 - [0a78e14f8795] lldpd: add an option to keep some specified ports (Vincent Bernat)
 - [246d153846ab] tests: update tests for configuration keeping on port down/removed (Vincent Bernat)
 - [dc9869ef11ae] client: remove previous way to set port description from documentation (Vincent Bernat)
 - [5dd953f435ce] test: add test for new portdescription setting (Vincent Bernat)
 - [8505c2956a74] interfaces: fix out-of-bound access when getting permanent MAC address (Vincent Bernat)
 - [989d5a545ab8] tests: don't crash if lldpd crashed (Vincent Bernat)
 - [b2efcec15fa9] Merge pull request #273 from westermo/config-portdescr (Vincent Bernat)
 - [3d96ef666437] doc: add entry for portdescription in lldpcli manual page (Jonas Johansson)
 - [e180a95331f5] client: add alternative way to configure port description (Thomas Eliasson)
 - [c79467f68440] handle lldpStatsRemTablesLastChangeTime correctly when items are removed (Thomas Eliasson)
 - [878441b274a7] netlink: fix non-updated management address (Vincent Bernat)
 - [d43d79d37005] daemon: ensure interval update is taken into account fast (Vincent Bernat)
 - [12e08b95e087] Merge pull request #271 from axjowa/fix/dot3-pd-pse-echo (Vincent Bernat)
 - [f474adabbb43] Fix NULL pointer dereference in lldpd_dot3_power_pd_pse (axjowa)
 - [2e472ccaceb4] build: don't enable sanitizers and safe-stack at the same time (Vincent Bernat)
 - [c4c9f15a7d1f] interfaces: explain why we cannot get the permanent MAC address (Vincent Bernat)
 - [3d5ba074330e] build: isolate SNMP-related files during compilation (Vincent Bernat)
 - [7742be399cd4] lib: lldpctl_k_config_paused is writable (Vincent Bernat)
 - [7edd995b5c82] doc: add ./autogen.sh to build instructions (Vincent Bernat)
 - [78e60be7e785] osx: use "squiggly" heredoc (Vincent Bernat)
 - [b3621e5e7611] Merge pull request #266 from dennypage/master (Vincent Bernat)
 - [384f5f59a58c] Add missing options to usage (Denny Page)
 - [0e5197c8174a] client: change description for chassis ID override (Vincent Bernat)
 - [f36b76c1aff7] daemon: move vfork/fork handling directly in lldpd.c (Vincent Bernat)
 - [438d3fa6e55e] Merge pull request #263 from vic-lin-accton/master (Vincent Bernat)
 - [8481f4905029] lib: ability to configure a local chassis ID (Vincent Bernat)
 - [e6f64ed93e6c] daemon: ensure chassis-related changes are updated immediately (Vincent Bernat)
 - [d80641ac57f6] lib: move new lldpctl_k_config_cid_string to end of section (Vincent Bernat)
 - [5660759bdf27] lldpd: check for defined string before use chassis name for chassis id (vic_lin)
 - [acbb798a2d28] osx: update Homebrew formula (Vincent Bernat)
 - [b0ca585f627a] daemon: don't use @mkdir_p@ substitution for systemd service file (Vincent Bernat)
 - [1f73fc1ad7ed] configure: remove check on CXX compiler (Damien Riegel)
 - [db4383ddb33d] doc: add a word about Intel X710 with embedded LLDP daemon (Vincent Bernat)
 - [ac57139f73d5] doc: rename OS X to macOS (Vincent Bernat)
 - [ae6cb83f9d5e] LICENSE: add title and copyright notice (#259) (Waldir Pimenta)

0.9.9 [2017-11-21 16:42:46 +0100]:

 - [0f552e2b1616] release: force S3 deployment whatever the branch is (Vincent Bernat)
 - [722f74c45545] release: prepare 0.9.9 (Vincent Bernat)
 - [1e33fa1d2cf4] dot3: as PD device, echo back PSE allocated value (Vincent Bernat)
 - [b941efa675ad] travis: upload OSX build to some S3 bucket (Vincent Bernat)
 - [2f8f95aad168] priv: also allow the use of openat for seccomp (Vincent Bernat)
 - [49835c1b8c0a] Merge pull request #253 from gregoryp/document_json0_in_cli (Vincent Bernat)
 - [96197b73d536] lldpcli: document json0 output format (Gregory Potamianos)
 - [cf89bf59519b] Merge pull request #251 from vincentbernat/fix/reap-children (Vincent Bernat)
 - [95f43afa5c39] priv: provide a simpler sig_chld when priv sep is disabled (Vincent Bernat)
 - [635724519137] priv: correctly handle lldpcli exit (Vincent Bernat)
 - [1602c2246fbb] daemon: don't fork at all when using upstart (Vincent Bernat)
 - [7a730affb9ff] daemon: don't use SIGSTOP when using Upstart (Vincent Bernat)
 - [2eb77609706b] Merge pull request #246 from vincentbernat/feature/safestack (Vincent Bernat)
 - [b9a160c8382b] build: only enable safe-stack if linker supports it (Vincent Bernat)
 - [38625a92493d] build: enable clang safe-stack feature if available (Vincent Bernat)
 - [2b9ecd2af832] netlink: be more precise in how we handle link deletion of bridged interface (Vincent Bernat)
 - [69594747984a] tests: fix previous testcase to fail without previous commit (Vincent Bernat)
 - [703f6a0d2b1a] netlink: don't remove interfaces when they are released from a bridge (Vincent Bernat)
 - [3db342340baa] travis: fix broken build due to incomplete python install (Vincent Bernat)
 - [37a293d33333] priv: add getpid() to seccomp filter (Vincent Bernat)
 - [630374d49b6f] src: #include <limits.h> when using strtonum() (Vincent Bernat)
 - [0414abe1cc9c] osx: sync homebrew formula (Vincent Bernat)
 - [28ce7fd3a494] client: add NEWS entry for before-last commit (Vincent Bernat)
 - [502cccecf129] client/tests: remove standalone "return" at the end of functions (Vincent Bernat)
 - [a54f6012efff] client: add show interfaces command (#240) (Steven Webster)
 - [a6d1d023a82c] client: fix typos in manual page (#239) (Steven Webster)
 - [94f6ce25be9c] lldpd: add option to override default lldpcli config file locations (#238) (Thomas Tannhäuser)
 - [4be49ea08c39] osx: update Homebrew recipe (Vincent Bernat)

0.9.8 [2017-08-20 20:25:57 +0200]:

 - [41aeb617f0ee] release: prepare 0.9.8 (Vincent Bernat)
 - [04a15281a75c] client: fix JSON output when a special character is in string (Vincent Bernat)
 - [479d49853a47] client: add "json0" to the list of available formats (Vincent Bernat)
 - [44b4bc6547e9] tests: upgrade pyroute2 version (Vincent Bernat)
 - [0a6cb4282a52] tests: replace depcreated pyroute2 functions (Vincent Bernat)
 - [a3bea2f670ca] tests: enable test for team device (Vincent Bernat)
 - [a9d00cbdfff4] lldpcli: add "configure system hostname ." to use node name (Vincent Bernat)
 - [e636354acc47] Merge pull request #235 from vincentbernat/feature/ethtool-no-root (Vincent Bernat)
 - [68caeec49bc8] interfaces: show a warning if we don't have permissions for ethtool ioctls (Vincent Bernat)
 - [dd55e6490729] interfaces: fix compilation without Dot3 feature (Vincent Bernat)
 - [3be8003b3713] interfaces: don't retry GLINKSETTINGS probing if it failed (Vincent Bernat)
 - [78c9dfdec6b2] priv: don't run ethtool as root (Vincent Bernat)
 - [2d8bd0876a59] interfaces: use ethtool to get permanent MAC for bonds/teams (Vincent Bernat)
 - [5f658dacf0d8] interfaces: enable team interfaces like a bond interface (Vincent Bernat)
 - [8733a3f7207d] daemon: enable recent systemd directive by default (Vincent Bernat)
 - [a42a0a08626a] daemon: don't try to restrict address families (Vincent Bernat)
 - [caecd83c46bc] daemon: systemd unit cannot use ProtectSystem=strict (Vincent Bernat)
 - [d14b06656857] doc: add a NEWS entry for the last change (Vincent Bernat)
 - [3cb4e08c266f] lldp: clear station bit if any other capability is enabled (Steven Webster)
 - [eeaaea00711a] client: install ZSH completions in $(datadir)/zsh/site-functions (Vincent Bernat)
 - [3a59626a7a82] interface-linux: fix this statement may fall through [-Wimplicit-fallthrough=] with gcc7 (Alexis La Goutte)
 - [6519a50bce85] interface: fix this statement may fall through [-Wimplicit-fallthrough=] with gcc7 (Alexis La Goutte)
 - [8f31f6d723d9] privsep_io: fix this statement may fall through [-Wimplicit-fallthrough=] with gcc7 (Alexis La Goutte)
 - [37e9556eddda] doc: update link to Homebrew (Vincent Bernat)
 - [2e1785facdd9] build: fix get-version script when no git and no dist version (Vincent Bernat)
 - [78cf3e8d2606] osx: update Homebrew recipe (Vincent Bernat)

0.9.7 [2017-03-19 15:23:04 +0100]:

 - [6b7fa964cc61] release: prepare 0.9.7 (Vincent Bernat)
 - [759da3424f4a] ci: don't install jansson (Vincent Bernat)
 - [a9c7618f8e87] doc: document previous commit in NEWS (Vincent Bernat)
 - [86bc2873f7e2] Increase number of lldp neighbors to 32. (Sander Vermin)
 - [0e892b1599cc] redhat: ensure /etc/sysconfig/lldpd is correctly populated (Vincent Bernat)
 - [269c0188b5f1] daemon: don't log when going to background (Vincent Bernat)
 - [aed5788058eb] interfaces: vxlan interfaces should be ignored (Vincent Bernat)
 - [92a6138d88e4] interfaces: include <errno.h> to use errno (Vincent Bernat)
 - [afd49b83e0ca] interfaces: don't log an hard error when interface is down (Vincent Bernat)
 - [71b0f9812101] lldp: don't use chassis TTL anymore (Vincent Bernat)
 - [78346c890cfb] lldp: attach remote TTL to port instead of chassis (Vincent Bernat)
 - [32f0deeebc91] lldpd: correctly increase discarded count (Vincent Bernat)
 - [dc39b0f2e9f8] travis: don't install libevent and net-snmp on OSX (Vincent Bernat)
 - [06987a24ce05] client: built-in JSON support (Vincent Bernat)
 - [a254e9234d22] osx: update Homebrew recipe (Vincent Bernat)
 - [bd10ce9d5b73] doc: keyword harmonization for NEWS file (Vincent Bernat)
 - [52767c4d8ebc] daemon: when daemonizing, close stdout/stderr (Vincent Bernat)

0.9.6 [2017-01-21 13:01:32 +0100]:

 - [4c97ef8ce6d0] release: prepare 0.9.6 (Vincent Bernat)
 - [f2a9d6681b0f] redhat: add support for JSON in CentOS >= 6 (Vincent Bernat)
 - [92c6dcfe24b2] netlink: clear IFF_SLAVE when no information on upper interface (Vincent Bernat)
 - [f8f9dcacda14] Merge pull request #218 from vincentbernat/feature/netlink-autoadapt (Vincent Bernat)
 - [77e88618e461] Merge pull request #216 from vincentbernat/fix/epollerrr (Vincent Bernat)
 - [5d0938c08821] client: fix typo in manual page (Vincent Bernat)
 - [9289ec93b4a0] Merge pull request #219 from alagoutte/fix (Vincent Bernat)
 - [04f8e4a343b4] Fix Expression '!iface' is always true (Alexis La Goutte)
 - [960541ebe246] netlink: minimize code duplication when handling buffer sizes (Vincent Bernat)
 - [48292d82efbd] netlink: by default, don't change netlink buffer size (Vincent Bernat)
 - [0cb979c72da5] netlink: automatically increase netlink receive buffer on errors (Vincent Bernat)
 - [e8ee1d9da91f] netlink: set size to the correct value for getsockopt() (Vincent Bernat)
 - [93051bc2dc91] netlink: make change of buffer size optional (Vincent Bernat)
 - [568a0d7304e5] netlink: make the values for buffer size configurable through ./configure (Vincent Bernat)
 - [e0d9719f3fcd] doc: fix name of new ethtool command (Vincent Bernat)
 - [c9f0ee58bf7f] daemon: config netlink socket buf sizes at build time (Alexandru Ardelean)
 - [36d0c286ecb3] tests: avoid race condition when linking two namespaces (Vincent Bernat)
 - [b586ab14774b] build: use @mkdir_p@ instead of @MKDIR_P@ (Vincent Bernat)
 - [16a54f531366] daemon: suggests additional sandboxing with systemd (Vincent Bernat)
 - [54cccdd42e85] interfaces: on Linux, clear socket error queue on error (Vincent Bernat)
 - [462ef2ce2e32] interfaces: refactor generic ethernet/bond reception for Linux (Vincent Bernat)
 - [efae5c833ecb] Revert "tests: mark tests spawning a new port as flaky" (Vincent Bernat)
 - [0efde559064f] tests: mark tests spawning a new port as flaky (Vincent Bernat)
 - [7181aba5cc52] tests: fix when Dot3 is not enabled (Vincent Bernat)
 - [72cf4bba2775] client: display current MAU type even when autoneg is disabled (Vincent Bernat)
 - [e9447d4562c2] lldpd: don't make lldpcli complain on missing conf files (Vincent Bernat)
 - [ad8971ecebc8] tests: minimize file descriptor leaks (Vincent Bernat)
 - [5458f879c20a] lib: include MAU type map only when Dot3 support is enabled (Vincent Bernat)
 - [08203be9bfd9] Merge pull request #212 from vincentbernat/feature/ethtool-linksettings (Vincent Bernat)
 - [c52e8f412b7a] tests: wait even more when spawning a new interface while lldpd is running (Vincent Bernat)
 - [9efee5dd7821] linux: make ethtool stuff run as root again (Vincent Bernat)
 - [b60ad45dab8b] lib: add more MAU types (Vincent Bernat)
 - [38cbcf2b55d3] linux: add support for ethtool GLINKSETTINGS (Vincent Bernat)
 - [7aa98f1172d8] seccomp: add more syscall (sendmmsg and recvfrom) (Vincent Bernat)
 - [f71281499af1] Merge pull request #213 from chutz/add-mprotect-to-seccomp-whitelist (Vincent Bernat)
 - [cc74ca8d4b03] seccomp: add mprotect to seccomp whitelist (Patrick McLean)
 - [f729e8854ec0] tests: more fix for pcap test (Vincent Bernat)
 - [9e6b5cf22f49] tests: fix previous commit by making LLDP-MED part optional (Vincent Bernat)
 - [2063390b5c65] tests: use a PCAP file to do some integration tests (Vincent Bernat)
 - [23ce0513e1bd] med: fix parsing of LLDP-MED LCI when TLV size exceeds addr size (Vincent Bernat)
 - [0b8a576fce79] linux: comment out part of ethtool.h (Vincent Bernat)
 - [da790d3bc7cb] github: shows a tcpdump output (Vincent Bernat)
 - [9c03da7a2386] linux: pull up-to-date ethtool.h (Vincent Bernat)
 - [f3f1e6a2a302] client: fix extra warning about misleading identation (Vincent Bernat)
 - [359767d72739] github: provide an issue template (Vincent Bernat)
 - [20edc61c7dfe] client: add an option to use pre-0.9.2 json-c format (Vincent Bernat)
 - [4e8db3cc7b91] travis: enable gold linker when NOT on OSX (Vincent Bernat)
 - [c0e225c07b80] travis: disable gold linker with OSX (Vincent Bernat)
 - [6a6c7bd99acc] travis: display config.log when configure fails (Vincent Bernat)
 - [e938e58173d6] release: prepare 0.9.5 for OSX (Vincent Bernat)
 - [3cf46664b0b7] redhat: add LICENSE file to manifest (Vincent Bernat)

0.9.5 [2016-09-30 20:17:08 +0200]:

 - [396961a038a3] release: prepare 0.9.5 release (Vincent Bernat)
 - [f144d837d6ab] event: correctly free event base (Vincent Bernat)
 - [e47140de546f] daemon: don't invoke lldpcli after dropping privileges (Vincent Bernat)
 - [db3beffd9c9d] valgrind: more suppressions for lldpd (Vincent Bernat)
 - [fdcf78fb140d] daemon: make the message about going into background more apparent (Vincent Bernat)
 - [a14e6dca66ae] daemon: better drop privileges earlier (Vincent Bernat)
 - [bc0dc45598d9] daemon: invoke lldpcli after dropping privileges (Vincent Bernat)
 - [06d83d0fb35c] daemon: wait a bit later to daemonize (Vincent Bernat)
 - [2a071643f245] tests: add an __init__.py file to turn fixtures into a proper module (Vincent Bernat)
 - [762419b647fb] event: remove some one-time memory leaks (Vincent Bernat)
 - [4d534a60ee33] doc: add a license file (Vincent Bernat)
 - [f94e8379a39b] travis: try to workaround "unrecognized option '--push-state'" (Vincent Bernat)
 - [03d178b6faf9] lldp: only enable LLDP-MED capibility TLV if we have that capability (Vincent Bernat)
 - [75884793c1cc] Merge pull request #198 from The-42/fix-segfaults (Vincent Bernat)
 - [825b37a76f1e] lib/atoms/port: fix segfaults with minimal information (Bert van Hall)
 - [05a708dc86ef] lldpd: fix kernel version check (Vincent Bernat)
 - [e940004964e2] lldpcli: specify that custom TLV bytes are in hex format (Vincent Bernat)
 - [11c1b6a2ffb3] build: test if libbsd is really usable (Vincent Bernat)
 - [a92e6f013a9c] doc: document the change about ethtool info grabbed without the monitor (Vincent Bernat)
 - [56414594cc21] build: ensure clang won't complain about documentation of linux headers (Vincent Bernat)
 - [4c98fe72dcd8] priv: don't use monitor for ethtool except for old kernels (Vincent Bernat)
 - [2fb135c8c5d7] interface: use 10GBASE-CX4 for copper (Vincent Bernat)
 - [3760ac537c63] interface: more media for *BSD (Vincent Bernat)
 - [a97e3dfe2cdf] lldp: update RFC3636 to RFC4836 (Vincent Bernat)
 - [34c87bbd8747] include: update linux/ethtool.h to 4.7 (Vincent Bernat)
 - [0b7f8847b9a1] priv: don't use ethtool to get real MAC (Vincent Bernat)
 - [2f6443386b64] priv: document functions that should not use the monitor process (Vincent Bernat)
 - [340f159cb5e6] NEWS: add an entry for 106aa50d (Vincent Bernat)
 - [5ecdbc5318a3] Revert "lldp: skip empty LLDP-MED inventory TLV instead" (Vincent Bernat)
 - [aa357d2b6b54] lldp: skip empty LLDP-MED inventory TLV instead (Vincent Bernat)
 - [d5c6300f77ff] travis: fix issue with Travis and libtool (Vincent Bernat)
 - [57231d32e5e2] build: provide a better date format when using SOURCE_DATE_EPOCH (Vincent Bernat)
 - [3166f616161f] client: flush output after each block (Vincent Bernat)
 - [bdc8f796579f] build: ensure typeof is correctly defined (Vincent Bernat)
 - [106aa50d4e5b] build: make generation of atom-glue compatible with older gcc versions (Vincent Bernat)
 - [af3bf264d236] release: prepare 0.9.4 for OSX (Vincent Bernat)

0.9.4 [2016-06-17 19:19:18 +0200]:

 - [7522a4f08e7b] release: prepare 0.9.4 release (Vincent Bernat)
 - [9970bcf857b3] osx: update lldpd to 0.9.3 (Vincent Bernat)
 - [d3b81cc5dba3] doc: document latest commit (Vincent Bernat)
 - [1eadc9a1d5ec] lldp: add ability to control propagation of LLDPDU (Vincent Bernat)
 - [9122b2c9b1b2] lldpcli: fix watch return code (Vincent Bernat)
 - [21f243c76059] lldpcli: fix memory leak with use of readline (Vincent Bernat)
 - [45369c0ac4e1] interfaces: blacklist cdc_mbim (Vincent Bernat)
 - [fe64f8e56feb] lldpcli: add a test for return code (Vincent Bernat)
 - [6835f3342583] lldpcli: ensure we exit with an error on incorrect commands (Vincent Bernat)
 - [6934b73da82c] lldpcli: fix manual page for port status (Vincent Bernat)
 - [8fe53e87b6d6] tests: remove useless variable (Vincent Bernat)
 - [4bf902e9c55c] build: fix build issue introduced in previous commit (Vincent Bernat)
 - [e8ffca58d84d] build: don't rely on GNU make $^ automatic variable (Vincent Bernat)
 - [af21a0e1074d] bsd: fix use of ifmediareq for OpenBSD (Vincent Bernat)
 - [cdc32f2cb989] cdp: don't use comma expression and ternary operator (Vincent Bernat)
 - [408c3e025c47] event: fix formating of time_t (Vincent Bernat)
 - [b921abc2db4e] build: unsilent silent rules when running with V=1 (Vincent Bernat)
 - [a98ed042b48e] lldp: accept LLDP frames sent through S-VLAN/C-VLAN bridges (Vincent Bernat)
 - [49e5981d96e7] Merge pull request #184 from chutz/add-fcntl-and-getsockname-to-seccomp-whitelist (Vincent Bernat)
 - [e15216c74d92] seccomp: add fcntl and getsockname to seccomp whitelist (Patrick McLean)
 - [4262ca0c9995] build: display if instrumentation and code coverage are enabled (Vincent Bernat)
 - [28d521e211bb] build: add a configure option to enable gcov (Vincent Bernat)
 - [e1717397eb15] interfaces: fix setting of local value for port ID (Vincent Bernat)
 - [76bae8b9847d] doc: explain how to get coverage reports (Vincent Bernat)
 - [7a73629e08be] tests: fix SONMP test whose result depends on indexes (Vincent Bernat)
 - [35cc2de4763b] lldpcli: display chassis TTL (Vincent Bernat)
 - [34ee9ebb4c6e] lib: allow retrieval of chassis TTL (Vincent Bernat)
 - [7830ff30352d] lldpcli: remove unused variable in display_custom_tlvs() (Vincent Bernat)
 - [877f7db822fd] lldpcli: display "Unknown TLVs" with a space (Vincent Bernat)
 - [7b6cbfe2605f] daemon: add a `-p` option to specify PID file (Vincent Bernat)
 - [8bc7a565d8db] privsep: split privsep_io.c in 3 files (Vincent Bernat)
 - [bd6e31eafa8e] debian: update debian/copyright (Vincent Bernat)
 - [aceb244f2ab9] compat: ensure ranlib is happy on OSX by providing one symbol (Vincent Bernat)

0.9.3 [2016-05-21 12:25:03 +0200]:

 - [0517bd3bdd56] debian/redhat: prepare 0.9.3 (Vincent Bernat)
 - [5b13beee1cb9] tests: fix `lldpcli watch` XML test (Vincent Bernat)
 - [d12b1391a295] tests: add test of `lldpcli watch` (Vincent Bernat)
 - [a7c549493dca] client: add a way to limit the number of events received by "watch" (Vincent Bernat)
 - [5842988f320c] lib: remove unused variable (Vincent Bernat)
 - [8a378b1638d3] compat: use strtonum instead of atoi (Vincent Bernat)
 - [2958b9d48940] interfaces/linux: make veth special (Vincent Bernat)
 - [8027d9076489] netlink: don't complain of removal of inexistant IPv6 addresses (Vincent Bernat)
 - [c7f0317fcdf2] client: fix spurious warning in XML writer (Vincent Bernat)
 - [a25730a2638a] client: fix memory leak introduced n XML writer (Vincent Bernat)
 - [83297e97be8e] client: remove memory leak introduced in JSON writers (Vincent Bernat)
 - [69d4aed59e54] doc: add an entry in NEWS for last two commits (Vincent Bernat)
 - [b8dec1b4eeee] client: flush XML object once we have one (Vincent Bernat)
 - [03c0c1d908bb] client: flush JSON object once it's done (Vincent Bernat)
 - [a2e71d093456] travis: test json-c support in lldpcli as well (Vincent Bernat)
 - [d3ee4b6213b8] travis: no need for --with-{json,xml} (Vincent Bernat)
 - [d90db09b162f] log: update manual page to reflect the situation (Vincent Bernat)
 - [ae8e632a4610] log: make a copy of va when logging to both stderr and syslog (Vincent Bernat)
 - [5aae2522cc51] log: don't fallback to stderr for out-of-memory situation (Vincent Bernat)
 - [b5463687985b] log: always log to stderr (Vincent Bernat)
 - [ff0dde0e5c7e] daemon: tell user to create user/group when missing (Vincent Bernat)
 - [ba54dbd01253] daemon: give the name of the control socket (Vincent Bernat)
 - [b562f01fe4fd] interfaces: ensure we don't break strict aliasing rule (Vincent Bernat)
 - [2d3ca7ee1009] Merge pull request #177 from jonasj76/fix-apparmor-build (Vincent Bernat)
 - [2b70dd95e88e] build: fix AppArmor "no" (default) option in configure script (Jonas Johansson)
 - [448e9f76d884] tests: do not compile tests/decode unless running tests (Vincent Bernat)
 - [70e6353d41f8] Merge pull request #174 from jonasj76/fix_discard_uint32 (Vincent Bernat)
 - [a8d8006c06d9] Fix size of PEEK_DISCARD_UINT32() (Jonas Johansson)
 - [032c0cf491f4] doc: mention Windows agent "WinLLDPService" (Vincent Bernat)
 - [d609ad1bfb2f] lldpcli: remove bogus pasting error from manual page (Vincent Bernat)
 - [6fe4c1d27acb] debian: do not remove _lldpd user (Vincent Bernat)
 - [f06b06acdb84] travis: install libseccomp-dev as well (Vincent Bernat)
 - [3f4c0a5fea6f] seccomp: fix a compilation warning with respect to uninitialized seccomp (Vincent Bernat)
 - [99eb22eb5b76] travis: also test with seccomp enabled (Vincent Bernat)
 - [54688af94b47] build: don't include merges into changelog (Vincent Bernat)
 - [da957637a5d0] travis: check we can build static lldpcli (Vincent Bernat)
 - [e320a274c723] build: silence libtool warning about using cru (Vincent Bernat)
 - [e3783368c232] lib: use C preprocessor to build list of init functions (Vincent Bernat)
 - [2c18cfb81fe9] lib: don't rely on atom-glue.h (Vincent Bernat)
 - [812d9e259b31] build: ensure atom-glue.h is built first (Vincent Bernat)
 - [d954509eb76a] lib: don't rely on constructors (Vincent Bernat)
 - [0c0b0c354497] lldpd: don't log error string for missing _lldpd user (Vincent Bernat)
 - [ae3165af8a52] tests/integration: only spawn a receive-only lldpd in first namespace (Vincent Bernat)
 - [f9582ad5e69d] osx: update HomeBrew recipe for 0.9.2 (Vincent Bernat)
 - [4f82131faaef] travis: remove coverity stuff (Vincent Bernat)
 - [a2187c1ea885] travis: message to explain why we don't continue w/ coverity stuff (Vincent Bernat)
 - [bd36a4d30773] daemon: append a dot after process title (Vincent Bernat)
 - [0cddb489d298] lib: more typo in strings (Vincent Bernat)
 - [44fb35878ac4] client: more typo in log messages (Vincent Bernat)
 - [b1118c26173a] client: fix a typo in manual page (Vincent Bernat)

0.9.2 [2016-03-19 13:00:38 +0100]:

 - [11c5322cdce7] debian/redhat: prepare 0.9.2 (Vincent Bernat)
 - [809498b5f86f] client: fix memory leak when modifying port-related settings (Vincent Bernat)
 - [2315d097123e] build: enable undefined sanitizer (Vincent Bernat)
 - [d609cc13dc5e] travis: only enable sanitizers on Linux (Vincent Bernat)
 - [4af75e556bac] tests/integration: sleep a bit more (Vincent Bernat)
 - [36d3582e64d7] travis: retry non-parallel tests on failure (Vincent Bernat)
 - [dc37bc8d4d89] build: let configure tell us if we have address sanitizer (Vincent Bernat)
 - [4f9d887aa0bb] travis: use gcc-5 if possible (Vincent Bernat)
 - [dcfe5f04396a] client: fix a memory leak in kv writer (Vincent Bernat)
 - [1a0315f849b5] tests/integration: make use of libtool to execute lldpd/lldpcli (Vincent Bernat)
 - [3046da4bab1b] tests/integration: mount /proc in namespaces (Vincent Bernat)
 - [87f484516d95] lldpcli: silence expected memory leaks (Vincent Bernat)
 - [a07217394c4a] fixedpoint: fix buffer overflow in fixed point computations (Vincent Bernat)
 - [9997f8e4d905] tests: don't check for leaks in fixed point tests (Vincent Bernat)
 - [2d05a444ddb7] tests: correctly encode civic address for SNMP tests (Vincent Bernat)
 - [b55bba2fc185] tests: disable leak sanitizer for unittests (Vincent Bernat)
 - [abced782d196] travis: enable address sanitizer (Vincent Bernat)
 - [33fd6231767b] build: add an option to enable sanitizers (Vincent Bernat)
 - [457d06aa1be6] build: display compiler version info after configure (Vincent Bernat)
 - [f94522181000] tests/integration: when several neighbors, be safe and sleep a lot (Vincent Bernat)
 - [06494775ec9a] travis: use a separate test for oldies (Vincent Bernat)
 - [aceb61b40c10] tests/integration: down then up with vlan require dot1 support (Vincent Bernat)
 - [62f9ab5ed98b] travis: run integration tests on Linux (Vincent Bernat)
 - [ab8db0c0afe8] tests/integration: sleep more after anything that create an interface (Vincent Bernat)
 - [fe7e202d287f] tests/integration: wait more when down/up interface (Vincent Bernat)
 - [dd0d1674d355] tests/integration: reduce the number of emulated neighbor (Vincent Bernat)
 - [8af0aa5ba83e] tests/integration: fix _lldpd group creation (Vincent Bernat)
 - [916374bf9e71] tests/integration: use ctypes for mount instead of util-linux (Vincent Bernat)
 - [8bb212d9c597] travis: move install/run steps into tests/ci (Vincent Bernat)
 - [2c8324574ea1] tests: report complete Linux version as well (Vincent Bernat)
 - [e0a847787ed0] tests: replace integration test by py.test+namespace tests (Vincent Bernat)
 - [c960236b8c93] build: ensure "make distcheck" work for any value of sysconfdir (Vincent Bernat)
 - [c8b8b858bbba] lldpcli: fix output with json-c to be the same as with jansson (Vincent Bernat)
 - [636aa62085cb] lldpcli: acknowledge memory leak in another map conversion (Vincent Bernat)
 - [2fdba99cb9cb] doc: document last commit in NEWS (Vincent Bernat)
 - [32945d6a96ec] interfaces: handle correctly operation conversation of a port (Vincent Bernat)
 - [0da01fd667f0] interfaces: replace "bonded" by "enslaved" (Vincent Bernat)
 - [d2e6f750fa13] netlink: ensure lower link doesn't change for an interface (Vincent Bernat)
 - [f7a5089bcbce] interfaces: issue a warning if we get a loop (Vincent Bernat)
 - [e7e6676e0587] interfaces: limit the maximum search depth when applying a VLAN (Vincent Bernat)
 - [92a6d7f99331] custom: fix a capitalization error in man page (Vincent Bernat)
 - [e1b2389b6b61] include: fix definition of IFLA_RTA to please clang (Vincent Bernat)
 - [c04fafa76c3d] netlink: don't consider a lower interface when in another namespace (Vincent Bernat)
 - [8755512e8b52] lldpcli: with key/value display, remove any newline (Vincent Bernat)
 - [60ad2804d138] lldpcli: fix display of LLDP-MED POE TLV (Vincent Bernat)
 - [1f8742dd2ee3] lldpcli: display LLDP-MED caps like LLDP caps (Vincent Bernat)
 - [b94881243f51] solaris: remove unused headers (Vincent Bernat)
 - [206c11665dca] version: display configuration directory as well (Vincent Bernat)
 - [efa6a7a380e7] version: display more build information when using "-vv" (Vincent Bernat)
 - [4d99c9cf8c22] doc: document PR #163 in NEWS (Vincent Bernat)
 - [d0497751c2a0] Merge pull request #163 from kanrajag/feature/enhance-customtlv (Vincent Bernat)
 - [7c26c8b4e44e] enhance custom tlv with add/replace commands allow for specific custom tlv to be deleted (kanna)
 - [e32a4af34068] osx: update Homebrew formula to 0.9.1 (Vincent Bernat)
 - [61ae835385f8] osx: reduce differences with official homebrew formula (Vincent Bernat)
 - [2d52771d97a8] osx: ensure _lldpd user is hidden (Vincent Bernat)
 - [3e58164050ec] build: keep user-specified CFLAGS (Vincent Bernat)
 - [6b7d841c445e] osx: explain how to compile for older versions with recent SDK (Vincent Bernat)
 - [0e6b25078967] redhat: don't try to guess systemd unit directory (Vincent Bernat)
 - [6f2ced066f30] redhat: enable some CFLAGS (Vincent Bernat)
 - [5a9da534066c] redhat: make systemd stuff also works with SuSE (Vincent Bernat)
 - [d788766d6f2d] redhat: fix parentheses on conditions (Vincent Bernat)

0.9.1 [2016-02-20 17:45:59 +0100]:

 - [37ca8e1a0963] debian/redhat: prepare 0.9.1 (Vincent Bernat)
 - [644cd42d7431] netlink: log error code when unable to receive netlink (Vincent Bernat)
 - [522acf332bab] netlink: add an entry in NEWS for previous commit (Vincent Bernat)
 - [c4a2a1a14cff] Merge pull request #161 from 6WIND/fix-large-netlink-messages (Vincent Bernat)
 - [85b72fe050ab] netlink: fix reception of large netlink messages (David Morel)
 - [48eaeeb77b9e] interfaces: when no alias available, use interface name (Vincent Bernat)
 - [df2fb7a193d0] travis: disable integration tests (Vincent Bernat)
 - [86dc17960d9c] travis: enable travis to access kernel file (Vincent Bernat)
 - [8d25f699cef9] travis: don't run distcheck on integration tests (Vincent Bernat)
 - [bf87ba82ca76] travis: order environment variables to be easier to read (Vincent Bernat)
 - [652d72dd5a71] doc: add an entry about netlink-related fixes (Vincent Bernat)
 - [c596139ce0e0] travis: compatibility with Ubuntu Precise (Vincent Bernat)
 - [8d83f11956c4] travis: try to run integration tests on travis (Vincent Bernat)
 - [a403df6662cd] interfaces: fix alias handling (Vincent Bernat)
 - [03fc915d8f96] tests: speed up integration tests by sleeping less (Vincent Bernat)
 - [58e30b5a3f61] netlink: merge old attributes with new ones (Vincent Bernat)
 - [1884258d145e] tests: use generated libtool (Vincent Bernat)
 - [1e860d82efae] tests: require presence of "ip" and "brctl" (Vincent Bernat)
 - [a9bec94dbb42] tests: execute rtmon to keep a trace of netlink messages (Vincent Bernat)
 - [583c9a260e59] tests: rework integration tests to not rely on tmux (Vincent Bernat)
 - [180152fd35f1] travis: also try to build OSX package (Vincent Bernat)
 - [87bb9a1b95a0] osx: workaround issues with SIP on El Capitan (Vincent Bernat)
 - [737afb3517d8] osx: simplify build (Vincent Bernat)
 - [b9d81025ca8c] doc: replace "Mac OS X" by "OS X" (Vincent Bernat)
 - [cbe8bbd6b60f] build: only test libbsd linking if we have found it (Vincent Bernat)
 - [96d5697ed2bf] lib: only define ntohll if not already defined (Vincent Bernat)
 - [a2eb343ea295] interfaces/linux: remove interface blacklisting (Vincent Bernat)
 - [b8db52bd7c7d] interfaces/linux: blacklist some drivers instead of whitelisting (Vincent Bernat)
 - [9e78f3a69b93] interfaces/linux: don't check transmit queue size (Vincent Bernat)
 - [efc68c65fcd3] man: fix a spelling error in manual page (Vincent Bernat)
 - [a769e9cbf9a2] client: fix code style (Vincent Bernat)
 - [4c8a895b4e20] client: ensure JSON is written to the provided file handle (Vincent Bernat)
 - [9cff0cc82aae] client: ensure XML is written to the provided file handle (Vincent Bernat)
 - [b5a71b24510a] doc: fix NEWS file about netlink change (Vincent Bernat)
 - [3c5634c14836] lib: rework a bit documentation around reference counting (Vincent Bernat)

0.9.0 [2016-01-10 13:34:32 +0100]:

 - [8cd1f2d07e04] build: add some integration tests (Vincent Bernat)
 - [66b14ca24866] build: don't use libbsd if we can't link it (Vincent Bernat)
 - [100266c1e2ef] netlink: handle veth loops correctly (Vincent Bernat)
 - [aafa99bd3176] lldpd: fix change detection (Vincent Bernat)
 - [4ab5a8c29970] debian/redhat: prepare 0.9.0 (Vincent Bernat)
 - [9ddca80c4feb] travis: don't require libnl-3-dev (Vincent Bernat)
 - [0fa2254b4416] netlink: remove use of libnl3 (Vincent Bernat)
 - [24cb96840ac5] lldpd: cleanup local chassis on exit (Vincent Bernat)
 - [9c93725ffe89] lldpd: cleanup default local port on exit (Vincent Bernat)
 - [3744168ca01d] event: unallocate interface timer event on exit (Vincent Bernat)
 - [dff59172ab55] client: don't do arithmetics with void* (Vincent Bernat)
 - [59b4cc6d4d3f] doc: no 0.8.0 release planned (Vincent Bernat)

0.8.0 [2015-12-29 09:41:40 +0100]:

 - [a094d3bc4283] client: fix segfault when displaying some information (Vincent Bernat)
 - [5828882917f6] client: gracefully handle NULL data in writers (Vincent Bernat)
 - [460b6c829cfd] client: remove incomplete commented examples (Vincent Bernat)
 - [33f787ebb1ed] osx: move /var/run/lldpd creation in postinstall (Vincent Bernat)
 - [448796a1fcfb] build: don't check for pkg-config several times (Vincent Bernat)
 - [60c6b6cbb20d] osx: ensure creation of var/run/lldpd (Vincent Bernat)
 - [1eb493a3efc9] osx: reduce distance with official HomeBrew formula (Vincent Bernat)
 - [8b8b97ac8675] osx: update Homebrew formula (Vincent Bernat)
 - [17964bcda65b] libnl: update to 3.2.27 (Vincent Bernat)
 - [cd66d751fd3e] redhat: add a note about the spec file being tied to OBS (Vincent Bernat)
 - [279bfd63dc44] redhat: don't use %elseif (Vincent Bernat)
 - [b7ee294e46d8] redhat: drop support for RHEL 4 (Vincent Bernat)
 - [4e82e0bc31a8] build: prepare for release (Vincent Bernat)
 - [96a5a328861c] build: .git can be a file (worktree) (Vincent Bernat)
 - [0a26b53d7282] build: check for configure before trying to configure a subproject (Vincent Bernat)
 - [17c10baffdde] build: don't do a submodule update if not a git checkout (Vincent Bernat)
 - [5ed4156c02b0] client: avoid -Waddress warning by comparing to NULL (Vincent Bernat)
 - [c56e4067b90c] client: update LLDP-MED policy L2 priority values to match 802.1Q-2005 (Vincent Bernat)
 - [5b12cbacc4de] client: display numeric PCP (Vincent Bernat)
 - [d65fcb90da1c] build: bison and flex are needed to configure libnl3 (Vincent Bernat)
 - [f587dfff2d8c] build: let AC_SEARCH_LIBS modify LIBS (Vincent Bernat)
 - [b037b93d3a6b] travis: enable PIE (Vincent Bernat)
 - [a8add7421e67] build: don't enable PIE by default (Vincent Bernat)
 - [e620ba6baf0c] build: don't use getopt from libbsd (Vincent Bernat)
 - [e01aeb55e772] build: make use of libbsd work even if a user override CFLAGS (Vincent Bernat)
 - [af828c473244] compat: use getline() instead of fgetln() (Vincent Bernat)
 - [47bbc5f3743c] build: use libbsd overlay (Vincent Bernat)
 - [1a3ec37313fe] interfaces: use /proc/net/bonding as primary method (Vincent Bernat)
 - [01293dc402eb] interfaces: fallback to old method to get original MAC on bond (Vincent Bernat)
 - [5ac66d33585b] interfaces: handle the case where the provided MAC address is incorrect (Vincent Bernat)
 - [d535fe053e0d] interfaces: query permanent MAC address through ethtool (Vincent Bernat)
 - [e7f83dc0ab53] lldpmed: fix numeric values for L2 priority (Vincent Bernat)
 - [9856f2792c30] log: rework the way -d work (Vincent Bernat)
 - [25a6e97c58af] osx: also use /sbin/nologin as default shell (Vincent Bernat)
 - [14da0d3c30e9] redhat: use /sbin/nologin as a shell for lldpd (Vincent Bernat)
 - [2e35d6bd6f7d] debian: don't try to support older distributions (Vincent Bernat)
 - [7e2c7e63ca1b] debian: express minimal version needed for libnl3 (Vincent Bernat)
 - [fa12cb8f6464] redhat: use system libnl3 when possible (Vincent Bernat)
 - [3637cb7ab56d] redhat: use embedded libevent on older distributions (Vincent Bernat)
 - [f7ce4668b5bc] redhat: correctly handle SLES too (Vincent Bernat)
 - [2145c7cf97dd] debian/redhat: update packaging (Vincent Bernat)
 - [a1ea608537cb] debian: also requires libnl-route-3-dev as a dependency (Vincent Bernat)
 - [986bcc699578] build: allow an embedded subdir to be absent (Vincent Bernat)
 - [126970da3a89] event: check if timer is present before trying to activate it (Vincent Bernat)
 - [094f37c56cd5] build: ignore untracked files in submodule for version (Vincent Bernat)
 - [af95a1854d81] Merge pull request #142 from matsimon/master (Vincent Bernat)
 - [cc351810dc6b] Tiny typo in lldpd's manpage (Mathieu Simon)
 - [9b4807169b19] build: check runtime support of constructor/destructor (Vincent Bernat)
 - [19a5c9b64c8c] build: check for support for constructor/destructor function attributes (Vincent Bernat)
 - [c167357d4a1f] README: add a word about `--enable-oldies` (Vincent Bernat)
 - [f681619c685b] tests: add missing include for `read()` (Vincent Bernat)
 - [069acc41a58b] tests: fix SNMP tests (Vincent Bernat)
 - [9221b5c249f9] protocols: don't use assert on paths that can be reached (Vincent Bernat)
 - [ff75b38e6f04] lldp: fix small indentation issue (Vincent Bernat)
 - [8ef5bced66bb] NEWS: add entry for last commit (Vincent Bernat)
 - [dd4f16e7e816] lldp: fix a buffer overflow when handling management address TLV (Vincent Bernat)
 - [3ca100866133] tests: add instructions on how to use afl for fuzzing (Vincent Bernat)
 - [dedb1eb0dbb1] tests: add a simple program to test frame decoding (Vincent Bernat)
 - [5427983b48a8] lldpd: remove outdated comment about custom TLV (Vincent Bernat)
 - [30741f07ea53] debian: only enable systemd unit file on system recent enough (Vincent Bernat)
 - [ce734002baa0] interfaces: remove spurious #ifdef directive (Vincent Bernat)
 - [31c9173ac0c0] interfaces: remove old bridge code (Vincent Bernat)
 - [ff6ed009bed2] Merge pull request #138 from commodo/copy-paste-fix (Vincent Bernat)
 - [ad05be32d4c6] client: fix copy+paste for some vars (Alexandru Ardelean)
 - [d8f8572ea372] debian: on old Debian releases, enable "oldies" (Vincent Bernat)
 - [aedb840fbc8c] doc: add a NEWS entry for latest commit (Vincent Bernat)
 - [2472bfdaf3b3] lldpd: add a warning if the kernel seems to be too old (Vincent Bernat)
 - [780e843d03a3] redhat: on RHEL 6, enable oldies support (Vincent Bernat)
 - [d9fdc886711b] build: declare kernels before 2.6.39 "too old" (Vincent Bernat)
 - [0d19619a0075] cdp: fix log message spelling (Vincent Bernat)
 - [6cefe733346b] redhat: for RHEL 7 and CentOS 7, install systemd unit file (Vincent Bernat)
 - [e9b22e1e5e80] build: fool autoreconf to do a recursive reconfiguration (Vincent Bernat)
 - [8e89804d0d91] release: 0.7.17 released (Vincent Bernat)
 - [8b58789d5742] build: .git may be a file (Vincent Bernat)
 - [5472ac186050] build: tell seccomp is experimental (Vincent Bernat)
 - [da8ce9e8b7ca] apparmor: fix profile so that it works on Ubuntu 15.04 (Vincent Bernat)
 - [cd7ee899dddd] apparmor: provide an apparmor profile (Vincent Bernat)
 - [7f88f8cffbef] priv: no need to access bridge files unless "oldies" (Vincent Bernat)
 - [b2715249e954] lib: map_reverse_lookup needs to be always available (Vincent Bernat)
 - [e7331ce92fcd] Ability to enable/disable RX/TX individually on each port (Vincent Bernat)
 - [b3dd61afd50e] lldpcli: fix per-port occurrences of "conf lldp" (Vincent Bernat)
 - [196757ce7238] lldpd: ensure retransmit is triggered when a port goes up (Vincent Bernat)
 - [c31f0d8ad925] lldpd: fix a memory leak in the way interfaces were cloned (Vincent Bernat)
 - [7f0877f05daa] interfaces: clean neighbors if an interface goes down (Vincent Bernat)
 - [36080cdcb7ba] interfaces: don't discard down interfaces (Vincent Bernat)
 - [4e15b7d1cc9a] lib/atom: only allow custom TLV modification for local ports (Vincent Bernat)
 - [9da663f7810c] Add a default local port as a template for any future local port. (Vincent Bernat)
 - [84a3104b9914] client: factor port modification in a dedicated function (Vincent Bernat)
 - [2e043f723c1a] marshal: add a macro to repair TQ lists (Vincent Bernat)
 - [b52ec8a069a5] NEWS: add some entries for 0.7.17 (Vincent Bernat)
 - [bccc2f40b220] lldpcli: display a warning when a configuration file is not found (Vincent Bernat)
 - [5409dfa2aaa8] netlink: make error message more explicit (Vincent Bernat)
 - [59c32cf0a464] snmp: make use of newer snmp_select_info2() function (Vincent Bernat)
 - [e8c8d15b113d] interfaces: fix incomplete declaration of interfaces_cleanup (Vincent Bernat)
 - [02c91f0af696] build: ignore libnl documentation errors (Vincent Bernat)
 - [1a60bb776cd9] build: fix test building with libnl dependency (Vincent Bernat)
 - [d1a554551f76] build: better find system libnl3 (Vincent Bernat)
 - [4a0791a4ff78] build: don't limit dist tarball files to 99 characters (Vincent Bernat)
 - [b288a7f42d09] build: don't forget to ship libnl directory too (Vincent Bernat)
 - [674403b4b8bc] build: ensure we can build libnl with -Wall -Werror (Vincent Bernat)
 - [b39c0209397b] build: only test for libnl on Linux (Vincent Bernat)
 - [70b184c93fdf] travis: install libnl-3-dev (Vincent Bernat)
 - [7d0a497539e3] netlink: workaround veth being peered together through IFLA_LINK (Vincent Bernat)
 - [13181ede3ff5] netlink: use libnl3 instead of custom netlink code (Vincent Bernat)

0.7.19 [2015-10-17 19:15:03 +0200]:

 - [bd61bdd5b847] release: 0.7.19 released (Vincent Bernat)
 - [30b2f598f590] osx: update HomeBrew recipe (Vincent Bernat)
 - [793526f88844] protocols: don't use assert on paths that can be reached (Vincent Bernat)
 - [479c1a61ffc6] NEWS: add entry for last commit (Vincent Bernat)
 - [3779e6ccb352] lldp: fix a buffer overflow when handling management address TLV (Vincent Bernat)

0.7.18 [2015-09-25 11:21:38 +0200]:

 - [61de81902b85] release: 0.7.18 released (Vincent Bernat)
 - [9df0eebfaacb] interfaces: restore bridge and bond detection without netlink (Vincent Bernat)
 - [5242194ffb80] interfaces: remove old bridge code (Vincent Bernat)
 - [b41cea300e52] build: fool autoreconf to do a recursive reconfiguration (Vincent Bernat)
 - [fcab3095a393] release: 0.7.17 released (Vincent Bernat)

0.7.17 [2015-09-09 17:06:34 +0200]:

 - [fb700b0966c9] build: .git may be a file (Vincent Bernat)
 - [2f23ece4985c] NEWS: add some entries for 0.7.17 (Vincent Bernat)
 - [b4f78b30b0b3] lldpcli: display a warning when a configuration file is not found (Vincent Bernat)
 - [d988ce0ccf6d] netlink: workaround veth being peered together through IFLA_LINK (Vincent Bernat)
 - [948c19d0eeb2] build: add a marker at the end of third-party configure (Vincent Bernat)
 - [696f7f6fe839] build: make --with-embedded-libevent a tri-state switch (Vincent Bernat)
 - [f8688c96fb31] build: don't let autoreconf rely on AC_CONFIG_SUBDIRS macro (Vincent Bernat)
 - [8e8d9a270b31] build: automatically reuse regular configure args for distcheck (Vincent Bernat)
 - [a069490369d0] build: run ./configure for libevent even when not needed (Vincent Bernat)
 - [848cc66197c2] build: only enable silent rules if they are not disabled (Vincent Bernat)
 - [3940008c5fce] build: replace AC_CONFIG_SUBDIRS with custom version (Vincent Bernat)
 - [96beef68762f] cdp: compute default platform when updating the chassis (Vincent Bernat)
 - [fc37317f7cd2] cdp: make the default platform name really the kernel name (Baptiste Daroussin)
 - [4f6ba6c38fb3] build: propagate appropriate build flags in src/compat (Vincent Bernat)
 - [58920eb1532f] osx: remove unneeded patch for launchd (Vincent Bernat)
 - [f363bce70a09] osx: fix configure command line in Homebrew (Vincent Bernat)
 - [6bf87f4dec03] osx: restore use of _lldpd/_lldpd user/group in Homebrew (Vincent Bernat)
 - [c65f44ec7a69] osx: synchronize a bit with official HomeBrew formula (Vincent Bernat)
 - [db04d99f0bff] README: incorrect instructions for OS X (Vincent Bernat)
 - [a7125859f001] debian: update symbol versioning (Vincent Bernat)
 - [2b00cbf9d548] client: parse options only once (Vincent Bernat)
 - [506526477e8b] client: make lldpctl also accepts `-u` flag (Vincent Bernat)
 - [839d72d04429] Merge pull request #128 from baloo/patch-1 (Vincent Bernat)
 - [3bd5a8780ca8] Typo in README.md (Arthur Gautier)
 - [6845388d7656] debian: don't complain about too recent Standards-Version (Vincent Bernat)
 - [e410dec40f82] debian: add a lintian override for debian-revision-should-not-be-zero (Vincent Bernat)
 - [5d81ecdd370f] redhat: on RHEL 5, use --enable-oldies (Vincent Bernat)
 - [62f5cd089705] travis: also test when oldies are enabled (Vincent Bernat)
 - [689ed13125cf] travis: don't add too many alternatives in configure (Vincent Bernat)

0.7.16 [2015-08-07 11:13:19 +0200]:

 - [96a1dec9d105] release: prepare 0.7.16 (Vincent Bernat)
 - [451b0c3cf913] lib: accept "language" as a valid MED location type (Vincent Bernat)
 - [f98e566652dc] lldpd: add version string to "starting" log entry (Vincent Bernat)
 - [feaf2dcef50f] Merge pull request #126 from idryzhov/master (Vincent Bernat)
 - [491ec12e419b] daemon: fix missing parenthesis (Igor Ryzhov)
 - [ca9e6733d198] Merge pull request #124 from commodo/rename-unconfig-custom-tlvs-cmd (Vincent Bernat)
 - [6f2909d9daae] lldpcli: rename "unconfigure lldp custom-tlvs" to "unconfigure lldp custom-tlv" (Alexandru Ardelean)
 - [a519a7e4a058] lldpcli: remove spurious space before port aggregation (Vincent Bernat)
 - [16eacc5bc262] netlink: use netlink to retrieve bridge/bond/vlan information (Vincent Bernat)
 - [78d54e08869a] build: add a note to remember why setproctitle may not work (Vincent Bernat)
 - [45eec1ff477f] doc: fix latest NEWS update (Vincent Bernat)
 - [fa2890879e74] lib: fix memory leak when handling MED location data (Vincent Bernat)
 - [88301db13d09] doc: add a NEWS entry for the chassis-related stuff (Vincent Bernat)
 - [3407e638d434] lldpcli: add "show chassis" command (Vincent Bernat)
 - [9439b9506e31] lldpcli: get chassis atom to query chassis-related information (Vincent Bernat)
 - [228d3af6fec9] Revert "lib: bump ABI" (Vincent Bernat)
 - [e55e74922166] lib: add compatibility layer with chassis-related information (Vincent Bernat)
 - [8ee9bc2cec66] lib: bump ABI (Vincent Bernat)
 - [99ef55d3e58e] lib: ability to get and query local chassis (Vincent Bernat)
 - [81291d63f9b1] build: fix URL to library versioning documentation (Vincent Bernat)
 - [3106c706e88d] lldpcli: move "conf sys bond-slave-src-mac-type" in man page (Vincent Bernat)
 - [d470c7d27f7b] Merge pull request #119 from kcgthb/master (Vincent Bernat)
 - [fae46e61aeb6] redhat: fix minor issues in .spec file (Kilian Cavalotti)
 - [d2a019346b67] build: fix help string for --enable-hardening for consistency (Vincent Bernat)
 - [e92d88427a7e] build: ship lldpctl.map in tarball (Vincent Bernat)
 - [f571f2db1c71] build: use symbol versioning for liblldpctl (Vincent Bernat)
 - [9aa511aa6d00] Merge pull request #115 from alagoutte/travis_container (Vincent Bernat)
 - [81ce9e66b487] Merge pull request #114 from alagoutte/clang (Vincent Bernat)
 - [652440823685] Don't use container-based Travis CI (Alexis La Goutte)
 - [09f0af1d8113] Add -Wheader-guard and -Wdocumentation to CFLAG (Use by Clang) (Alexis La Goutte)
 - [d7460a6f9180] Disable -Wdocumentation for some include using pragma (Alexis La Goutte)
 - [d8367e178b54] osx: tell the build fix will be here in 0.7.16. (Vincent Bernat)
 - [60da771a8035] osx/homebrew: use --without-json and --without-snmp to avoid autodetection (Vincent Bernat)
 - [10e74ca5172c] build: create parent directory before editing files (Vincent Bernat)
 - [d8f0544d7efe] osx: add appropriate dependency on pre/postinstall scripts (Vincent Bernat)
 - [10607bccaf7c] osx: ensure pre/postinstall scripts are created correctly (Vincent Bernat)
 - [2cbd5b62759b] osx: in README.md, add `--without-json` (Vincent Bernat)
 - [37345639d083] osx: ship *.in files with tarball (Vincent Bernat)
 - [98bf70e3d133] client: change location of bash completion (Vincent Bernat)
 - [8df9b4aa3782] fix parameter 'details/hidden' not found in the function declaration [-Wdocumentation] (Alexis La Goutte)
 - [b35cfd03d8c2] fix parameter 'lldpctl' not found in the function declaration [-Wdocumentation] (Alexis La Goutte)

0.7.15 [2015-05-21 08:45:55 +0200]:

 - [b6371c9f6664] lib: don't use priority with constructor (Vincent Bernat)
 - [441d53f9ae8e] redhat: don't build with JSON by default (Vincent Bernat)
 - [f42b82148976] build: only uses -pie when linking programs (Vincent Bernat)
 - [84942a4aeb58] build: when checking for additional flags, be fatal on errors (Vincent Bernat)
 - [1cce9f1a07c7] lldp: do appropriate cleanup when unable to allocate memory (Vincent Bernat)
 - [151ed0cd9708] travis: don't install libtool/autoconf/automake (Vincent Bernat)
 - [a53e59f264aa] tests: document the suppression file for valgrind (Vincent Bernat)
 - [3db3d0633eee] build: don't use -Wl,-pie (Vincent Bernat)
 - [2216fdf1ef0f] redhat: fix dates in .spec (Vincent Bernat)
 - [f4a0a3fc7b19] build: require json-c >= 0.10 (Vincent Bernat)
 - [36d72b11b57f] redhat: fix a typo in conditional JSON support (Vincent Bernat)
 - [5592bec999ab] redhat: provide a simpler buildroot (Vincent Bernat)
 - [b896513bc25e] release: prepare new version (Vincent Bernat)
 - [39a39abf7c9c] lldpcli: fix another memory leak when querying statistics (Vincent Bernat)
 - [d68bcbe9653a] lldpcli: fix a memory leak when querying custom TLVs (Vincent Bernat)
 - [74d82c9dfac6] build: rename valgrind suppression file to match the right tool (Vincent Bernat)
 - [38d74e8a04e1] ctl: don't use C99 designated initializer for structs to travel on a socket (Vincent Bernat)
 - [389ac8bd97cd] tests: provide a complete test file for lldpcli (Vincent Bernat)
 - [a6509ccc4ea6] lib: use ssize_t to store result from write() (Vincent Bernat)
 - [26498cf46f10] doc: fix example of "configure dot3 power" command (Vincent Bernat)
 - [120c071a0365] doc: fix example of "configure med location address" command (Vincent Bernat)
 - [4edc4960671f] doc: fix documentation of "configure lldp portidsubtype" (Vincent Bernat)
 - [a52e464f4582] tests: remove old reference to ifdump.txt (Vincent Bernat)
 - [24133f559158] doc: add an entry for setting custom TLV in lldpcli manual page (Vincent Bernat)
 - [d0e76b5f6e42] doc: add a NEWS entry for custom/unknown TLV (Vincent Bernat)
 - [11f906138450] Merge pull request #109 from commodo/add-custom-tlvs (Vincent Bernat)
 - [5666332755c8] build: compile libevent with -fPIC (Vincent Bernat)
 - [d24247edcbe2] build: try -Wl,-pie before trying -pie for clang (Vincent Bernat)
 - [1aa3748ca854] build: don't enable PIE when using embedded libevent (Vincent Bernat)
 - [c4edeadc8b08] build: also try to build a PIE when hardening is not disabled. (Vincent Bernat)
 - [8738a36d30e2] build: add a switch to disable hardening functions (Vincent Bernat)
 - [8caf43416452] lldpd: convert 'oui_info' member to dynamic array (Alexandru Ardelean)
 - [fb1b78bb7611] lldpd: make custom TLV code optional (Alexandru Ardelean)
 - [26331a26d551] client: display custom TLVs when lldpctl is called (Alexandru Ardelean)
 - [41cb778179b2] client: implement client interface for custom TLVs (Alexandru Ardelean)
 - [6cff1e665e72] daemon: implement client interface for custom TLVs (Alexandru Ardelean)
 - [c576fd21a416] lib: add custom TLV + list atom(s) (Alexandru Ardelean)
 - [cd5de7a2ea13] daemon: add basic custom TLV send & receive (Alexandru Ardelean)
 - [9c242613cd7b] daemon: reduce log_info() to log_debug() for unknown TLV types (Alexandru Ardelean)
 - [86f4c1ef8be4] lib: move lldpd-structs.h include into atom.h (Alexandru Ardelean)
 - [e7113d69b9cb] lib: add null check to lldpctl_atom_inc_ref() (Alexandru Ardelean)
 - [b1bebd3f2550] lldpd: move LLDP_TLV_ORG to lldp-const.h (Alexandru Ardelean)
 - [2389d2ccf7be] lib: enable ability to change log level on-the-fly (Vincent Bernat)
 - [082c03a94583] lldpcli: ensure we also display logs from liblldpctl (Vincent Bernat)
 - [c11e6765727b] tests: fix typo in SNMP checks with protocol identity (Vincent Bernat)
 - [63e52965607e] frame: change checksum function (Vincent Bernat)
 - [6d3c1ce032f8] tests: fix SNMP tests (Vincent Bernat)
 - [d99c23687985] tests: fix signed/unsigned discrepancy (Vincent Bernat)
 - [8d92800b8801] build: cleaner way to not alter CFLAGS/CPPFLAGS/LDFLAGS (Vincent Bernat)
 - [dd8c9fe3b168] build: enable JSON/XML support automatically by default (Vincent Bernat)
 - [3250e17b3649] redhat: enable JSON support if recent enough (Vincent Bernat)
 - [ec6a8dcffbc9] debian: enable JSON support (Vincent Bernat)
 - [fa9b12c57b7a] build: automatic detection of optional features (Vincent Bernat)
 - [3fa294062b97] client: only output supported formats (Vincent Bernat)
 - [a742670827b8] client: complain if the provided format is not supported (Vincent Bernat)
 - [bacc4a6ad3c4] client: fix a trivial typo (Vincent Bernat)
 - [e613fdaa7f8a] Merge pull request #106 from commodo/make-some-tlvs-optional (Vincent Bernat)
 - [e119d5ddf364] client: add some log_debug() messages (Alexandru Ardelean)
 - [1d7c86b56ce0] tests/check_lldp: add global config object for testing (Alexandru Ardelean)
 - [1c2217aa0df9] lldpd: make management addresses advertisement optional (Alexandru Ardelean)
 - [ca838758db3c] lldpd: make chassis capabilities advertisement optional (Alexandru Ardelean)
 - [8262175deca8] daemon/lldpd.c: free() cfg at end of main function (Alexandru Ardelean)
 - [7d67839872b3] daemon/protocols/lldp.c: do not send system capabilities if none available (Alexandru Ardelean)
 - [ef8140572e04] lib: don't define __constructor__ twice (Vincent Bernat)
 - [e8d465451a3b] Merge pull request #105 from commodo/cleanup (Vincent Bernat)
 - [9e2db64f1cce] daemon: move protocol files into subfolder (Alexandru Ardelean)
 - [4b2ee1a0a9de] lib/atom.c: move here remaining code from atom-private.c (Alexandru Ardelean)
 - [a5f987172cbe] lib/private.h: rename to atom.h (Alexandru Ardelean)
 - [94c9815776cc] lib/atom-private.c: break it into smaller modules (Alexandru Ardelean)
 - [9bec20443e7e] lib/atom-private.c: move 'struct atom-builder' to private.h (Alexandru Ardelean)
 - [84b41218830f] configure.ac: add 'subdir-objects' option (Alexandru Ardelean)

0.7.14 [2015-04-04 16:29:39 +0200]:

 - [8de206fdebc8] release: prepare 0.7.14 (Vincent Bernat)
 - [a8382e7f7aad] NEWS: add an entry to NEWS file for previous changes (Vincent Bernat)
 - [f9ddfae82e8c] lib: update revision info to reflect ABI update of latest changes (Vincent Bernat)
 - [8003e78962a6] lib: a change to port description is transmitted now (Vincent Bernat)
 - [bbd094f4952c] client: when receiving a port update, transmit it now (Vincent Bernat)
 - [332f8eea55d4] lldpcli: use "description" keyword when setting port description (Vincent Bernat)
 - [50a978dce0a1] lldpcli: document ability to change port id and description (Vincent Bernat)
 - [ec5a36012c23] lldpcli: ensure optional local port description cannot be repeated (Vincent Bernat)
 - [b3eba1789914] Merge pull request #101 from commodo/port_label2 (Vincent Bernat)
 - [abfea7d0be12] interfaces: management address is set to pattern on exact match (Vincent Bernat)
 - [c267d0f2ab4f] lldpd: add port description override via lldpcli (Alexandru Ardelean)
 - [8e46010cf12f] lldpd: implement basic support to override port IDs via lldpcli (Alexandru Ardelean)
 - [0979d1ba0a3b] .gitignore: ignore vim swap files (Alexandru Ardelean)
 - [81b171f47321] style: remove `if (...) free(...)` pattern (Vincent Bernat)
 - [4db5e8c68d9a] interfaces: don't test for NULL before `free` (Vincent Bernat)
 - [5683586ea1ef] priv: document improvement in crash handling in NEWS file (Vincent Bernat)
 - [55764ecb9c62] Revert "priv: on Linux, when monitor dies, kill child" (Vincent Bernat)
 - [a6128224ec0c] priv: use SOCK_STREAM for monitor communication (Vincent Bernat)
 - [c53540ffc8e6] priv: don't log anything when handling SIGCHLD (Vincent Bernat)
 - [004b5f944539] priv: ensure we write exactly what will be read (Vincent Bernat)
 - [9475dd4c835e] ctl: create control socket with close-on-exec semantic (Vincent Bernat)
 - [c642d8c7b9e4] priv: fallback to SOCK_DGRAM if SOCK_SEQPACKET not available (Vincent Bernat)
 - [10c20ba8877e] priv: use a SOCK_SEQPACKET for communication with monitor (Vincent Bernat)
 - [327b1d625c2d] priv: monitor the monitor process (Vincent Bernat)
 - [a87db231990a] log: add token to all `fatalx` instances (Vincent Bernat)
 - [4747e964096a] priv: on Linux, when monitor dies, kill child (Vincent Bernat)
 - [50efc5f74521] event: don't remember (in cfg) control socket event (Vincent Bernat)
 - [2bf63e5422e5] event: don't ignore SIGHUP twice (Vincent Bernat)
 - [bdefcdb99044] build: don't use `sort -V` (Vincent Bernat)
 - [eab6aa62d66d] check: add missing license headers to some files (Vincent Bernat)
 - [1e264e08effe] check: fix SNMP test format error (Vincent Bernat)
 - [a0cd2b9a3c68] check: more comparison with `ck_assert_ptr_eq()` (Vincent Bernat)
 - [7afbe16a637d] check: compare pointers with `ck_assert_ptr_eq()` (Vincent Bernat)
 - [47cd2807872a] check: enforce correct alignment during SNMP tests (Vincent Bernat)
 - [c2af3a9cbd02] travis: don't configure with CFLAGS=-Werror (Vincent Bernat)
 - [e6515ff5183d] configure: move LDFLAGS to LLDP_LDFLAGS (Vincent Bernat)
 - [d627ab691987] configure: move CFLAGS/CPPFLAGS to LLDP_CFLAGS/LLDP_CPPFLAGS (Vincent Bernat)
 - [a577598bb30b] configure: put cpp flags into CPPFLAGS instead of CFLAGS (Vincent Bernat)
 - [630cc035fd82] configure: enforce the use of C99 (Vincent Bernat)
 - [f215b5ec088b] Merge pull request #98 from baloo/features/document-lldp.d (Vincent Bernat)
 - [fb0921ed2f43] client: document lldp.d configuration directory (Arthur Gautier)
 - [63d2c3f8e547] interfaces: fallback to link local addresses for management (Vincent Bernat)
 - [4b67a7b2829f] interfaces: exclude IPv4 link local addresses from management addresses (Vincent Bernat)
 - [0c6a1966eead] interfaces: enforce redefinition of IN_IS_ADDR_* macros (Vincent Bernat)
 - [28bf40220840] priv: don't lookup for _lldpd when privsep is disabled (Vincent Bernat)
 - [aed91d90de68] lib: fix "unknwon" typo (Vincent Bernat)
 - [e7b282ce5ca7] lib: fix compilation error when Dot3 is disabled (Vincent Bernat)
 - [65e5293aeedf] priv: replace the use of `gethostbyname()` by `getaddrinfo()` (Vincent Bernat)
 - [1fa7d39f5b9d] priv: rename "gethostbyname" priv function to "gethostname" (Vincent Bernat)
 - [d162d7854659] build: use version sort for changelog (Vincent Bernat)
 - [ac07e7e4a038] NEWS: add an entry for the two previous commits (Vincent Bernat)
 - [78e82fcf01cc] lldp: fix boundary checks when decoding LLDP protocol identity (Vincent Bernat)
 - [feed548d366d] lldp: fix boundary checks when decoding LLDP management address (Vincent Bernat)
 - [17e55ef9b1b9] lldpcli: add "tagged" keyword to "configure med policy" (Vincent Bernat)
 - [319ca87dc14f] travis: use stable NetSNMP from Homebrew (Vincent Bernat)
 - [74da4061c4a9] libevent: enable silent rules by default (Vincent Bernat)
 - [dc93bcaf9314] libevent: update embedded copy to 2.0.22-stable (Vincent Bernat)
 - [efdd67188596] NEWS: add an entry for the two previous commits (Vincent Bernat)
 - [e770b7204bf8] lldp: send a shutdown LLDPDU on exit (Vincent Bernat)
 - [acb5f65b98b9] lldp: when MSAP changes, send a shutdown LLPDU (Vincent Bernat)
 - [b1785ed5254b] marshal: don't marshal previous port value (Vincent Bernat)
 - [9fb213a1b5ba] travis: don't compile embedded libevent + clang on OSX (Vincent Bernat)
 - [5d74a4ec5afa] travis: don't fail on unused functions (second try) (Vincent Bernat)
 - [8ef8a406fd03] travis: don't fail on unused functions (Vincent Bernat)
 - [286513f665cc] travis: don't allow any warning or error (Vincent Bernat)

0.7.13 [2014-12-30 14:11:49 +0100]:

 - [d9cf6428201b] version: prepare 0.7.13 release (Vincent Bernat)
 - [135ff0f7fabb] configure: let define pkg-config directory with `--with-pkgconfigdir` (Vincent Bernat)
 - [5a1f45863ed5] man: `-I` option and the like also affect sending (Vincent Bernat)
 - [a3cae2a7299f] lldp: fix display of unknown organizational ID (Vincent Bernat)
 - [17d341157926] lldpd: don't rely on a checksum to detect a port change (Vincent Bernat)
 - [28414fbdbefb] lldpd: use a macro to define offset of permanent port info (Vincent Bernat)
 - [da9c551a5511] NEWS: add an entry for the latest commit (Vincent Bernat)
 - [59ca5ddb80fe] lldpd: fix coding style in latest commit (Vincent Bernat)
 - [ea625620c6d6] Merge pull request #84 from IcyMetric/master (Vincent Bernat)
 - [1c1c519fd71e] Allow setting control socket on CLI (Robert Long)
 - [1f68881c2914] lldpd: decrease probability of collisions on port checksums (Vincent Bernat)
 - [e172ee7b999a] lldpd: decrease probability of collisions on port checksums (Vincent Bernat)
 - [24cce58cfc1b] lldpd: really ensure that port checksum can never be 0 (Vincent Bernat)
 - [280f28da5153] lldpd: fix timer initialization when checksum is 0 (Vincent Bernat)
 - [324d73a32c0a] marshal: ensure we correctly handle signed result from serialization (Vincent Bernat)
 - [21832029366d] xml: check that libxml-2 is really usable (Vincent Bernat)
 - [83d4b7761491] snmp: `agent_init()` won't modify AgentX string (Vincent Bernat)
 - [4bfe49e965c5] lib: silent a warning about uninitialized value (Vincent Bernat)
 - [fa1f3624463d] redhat: do not install the chroot (Vincent Bernat)
 - [724dfcbd3919] redhat: requires pkg-config to build devel package (Vincent Bernat)

0.7.12 [2014-11-22 20:54:19 +0100]:

 - [0882639dd155] release: prepare release of 0.7.12 (Vincent Bernat)
 - [acdb7107e764] lib: fix pkgconfig file substitutions (Vincent Bernat)
 - [63b4f1eede9e] client: fix "update" command (Vincent Bernat)
 - [20f10b8dd3a2] travis: travis comes with autotools and friends already installed (Vincent Bernat)
 - [2021a245926d] debian: update symbol versioning for incompatibility of `lldpctl_atom_set_str()` (Vincent Bernat)
 - [18f7b3dbcea1] lib: bump versioning (Vincent Bernat)
 - [ca8cfd460862] lib: make it safe to pass NULL to `lldpctl_atom_set_str()` (Vincent Bernat)
 - [28431faeeafc] lib: document the possibility of using NULL with `lldpctl_atom_set_str()` (Vincent Bernat)
 - [6dd83015cb74] lldpcli: allow to unset patterns and system description/hostname (Vincent Bernat)
 - [7424351a7f80] lib: replace macro by a function for `_lldpctl_atom_set_str_config()` (Vincent Bernat)
 - [8d91359cb371] lib: factor out some code in `_lldpctl_atom_set_str_config()` in a macro (Vincent Bernat)
 - [22a5375576dd] NEWS: add an entry about some flags not being persistent accross time (Vincent Bernat)
 - [cf33f40593b8] build: hide renaming of template-generated files (Vincent Bernat)
 - [abc042057d9f] lldpd: use strdup() on arguments that could be changed by lldpcli (Vincent Bernat)
 - [e4c51716848a] client: fix configuration modification (Vincent Bernat)
 - [625005be708d] lldpcli: pretty print json (kanna)
 - [dfa283134795] systemd: fix systemd unit file (Vincent Bernat)
 - [8756eb67699c] debian: update symbols file (Vincent Bernat)
 - [148a1efedcdf] interfaces: bond listening was broken only for old kernels (Vincent Bernat)
 - [08ced6b4edf2] interfaces: fix initialization of hardware h_data for bonds (Vincent Bernat)
 - [b96ca40c384a] frame: mention the licensing issue with POKE/PEEK macros (Vincent Bernat)
 - [3ea0bccfdd4c] lldpcli: handle comments in tokenizer (Vincent Bernat)
 - [5451aea8aa2f] Merge pull request #77 from Authority1980/master (Vincent Bernat)
 - [e537ab772962] Fixed Changelog dates (Wes Hardin)
 - [6d2c29c781db] lldpcli: don't complain when reading a commented line (Vincent Bernat)
 - [c66fd1a55a68] redhat: mark /var/run stuff as a ghost directory (Vincent Bernat)
 - [2e441b243656] redhat: fix group tag (Vincent Bernat)
 - [b5b304e84702] redhat: provide a longer description for devel package (Vincent Bernat)
 - [4ed3c3d8b5ab] redhat: fix RPM building on SuSE with respect to /usr/share/zsh (Vincent Bernat)
 - [e202ae37e9f0] redhat: add completions for bash and zsh (Vincent Bernat)
 - [c0e428aca21b] redhat: everything in /etc/lldpd.d is a configuration file (Vincent Bernat)
 - [4fe6e6d026da] redhat: reference /etc/lldpd.d/README.conf (Vincent Bernat)
 - [5cffb4e7a7ee] redhat: use appropriate macros for directory (Vincent Bernat)

0.7.11 [2014-10-08 19:27:00 +0200]:

 - [62446808f97a] release: prepare 0.7.11 (Vincent Bernat)
 - [3b0273eef9c3] man: sync lldpcli description of pattern matching (Vincent Bernat)
 - [3af43e64a6cf] man: say that by default only physical interfaces are used (Vincent Bernat)
 - [a2b113ef9d48] lldpd: check if capabilities are available/supported before enabling them (kanna)
 - [71cc157933f6] build: hide invocation of sed command to generate some files (Vincent Bernat)
 - [f24382c41668] lldpd: also try /usr/lib/os-release if /etc/os-release is not present (Vincent Bernat)
 - [3a8e3db1d622] build: remove useless variables from pkgconfig file (Vincent Bernat)
 - [e26fbbae1599] build: use @sbindir@ instead of @prefix@/sbin (Vincent Bernat)
 - [95493844623c] build: use AC_CONFIG_FILES only to generate Makefiles (Vincent Bernat)
 - [326808ff3c7c] debian: ship /etc/lldpd.d (Vincent Bernat)
 - [7255aab1196e] client: ship /etc/lldpd.d and put a README file in it (Vincent Bernat)
 - [c80ee6f068fe] build: allow use of older versions of json-c (Vincent Bernat)
 - [d2badd57c3b6] lib: don't check for NULL before free (Vincent Bernat)
 - [70f6059b9b7d] lib: make a copy of state_data, since pointer can be re-used (kanna)
 - [ad7daaf7957e] debian: also install zsh completion (Vincent Bernat)
 - [38ace3d484f8] debian: also install bash completion (Vincent Bernat)
 - [9b11faad6fbb] lldpd: abort when some options are repeated (Vincent Bernat)
 - [e37cdbe61624] Revert "debian: ship files in debian/etc/lldpd.d" (Vincent Bernat)
 - [790752d0b5e7] interfaces: only use physical interfaces to get a chassis ID (Vincent Bernat)
 - [8e9bf5cd846b] debian: ship files in debian/etc/lldpd.d (Vincent Bernat)
 - [79790b96b5eb] build: check if pkg-config is correctly installed in ./autogen.sh (Vincent Bernat)
 - [17cd6a2ec9ed] build: check for needed commands in autogen.sh (Vincent Bernat)
 - [a9f774888552] build: provide a sysusers.d file (Vincent Bernat)
 - [dbfa89c6e597] lldpd: handle early cleanup in case interface cannot be created (Vincent Bernat)
 - [8568f6cd2277] lib: handle read failure in sync case (Vincent Bernat)
 - [e1556c13cceb] lib: really correctly handle read failure (Vincent Bernat)
 - [2c4dda069401] lldpcli: disable SIGPIPE (Vincent Bernat)
 - [62f2faac3c69] lib: correctly handle read failure (Vincent Bernat)
 - [89a8419047d4] lib: stricter checks when resuming an operation in progress (Vincent Bernat)
 - [797da1252a18] lldpcli: add editor local variables to bash completion (Vincent Bernat)
 - [8bddf2143914] lldpcli: add editor local variables to zsh completion (Vincent Bernat)
 - [8d641ab478fc] lldpcli: indent multiline texts (like system description) (Vincent Bernat)
 - [320238c4de15] lldpcli: fix style convention to match other files (Vincent Bernat)
 - [c2153fb65e21] bash/zsh: ensure completions are present in dist tarball (Vincent Bernat)
 - [9bc3d50e21dc] NEWS: add a word about bash/zsh completion (Vincent Bernat)
 - [0a735dedbdf7] zsh: add ZSH completion (Vincent Bernat)
 - [2136d8066293] bash: move bash completion outside Debian packaging (Vincent Bernat)
 - [3620ee09fa2f] release: new version 0.7.10 (Vincent Bernat)

0.7.10 [2014-07-21 18:06:54 +0200]:

 - [87ebf13df38c] NEWS: add a word about json-c library support (Vincent Bernat)
 - [5dcd280d1267] lldpcli: fix jansson implementation of the JSON output (Vincent Bernat)
 - [71542b4ec734] configure: if --with-json, default to jansson implementation (Vincent Bernat)
 - [368daef3d649] cdp: complete manual page with CDP-related options (Vincent Bernat)
 - [611aba00053c] cdp: Make it possible to enable CDPv2 without enabling CDPv1 (Michel Stam)
 - [5d8f75fe9fdc] lldpcli: Add json description to lldpcli usage (Michel Stam)
 - [619c379964fd] cdp: Add power requirement to CDPv2 frames (Michel Stam)
 - [8ff14a6d117e] lldpcli: Add support for JSON-C (Michel Stam)
 - [62d6f99d2d17] lldpcli: make complete command work on privleged commands as well (Vincent Bernat)
 - [314f382a5093] lldpcli: provide a hidden complete command for shell completion (Vincent Bernat)
 - [e13945c02c44] lldpcli: change how privileged commands are declared (Vincent Bernat)
 - [40df69956ad0] lldpcli: reformat a bit bash completion to be more readable (Vincent Bernat)
 - [ecd41283aa58] priv: avoid a socket leak when interface is already in promisc (Vincent Bernat)
 - [ba908c4eedaa] snmp: avoid deferencing a pointer when it may be NULL (Vincent Bernat)
 - [5317a14a3f0e] dcbx tlv recd are printed as log_debug (Sam Tannous)
 - [7efa65c16ec7] lldpcli: use protocol map from liblldpctl to select protocol (Vincent Bernat)
 - [baaa96d1530c] lldpcli: document `-u` argument in synopsis (Vincent Bernat)
 - [494264f0f831] lldpcli: add display filter to show nbrs running specific protocols (Sam Tannous)
 - [e147917d5257] lib: update liblldpctl versioning (Vincent Bernat)
 - [1fa64c11d337] Add call to process more messages from data already read. (Sam Tannous)
 - [0469161dd554] Add error code to the multicast address add/delete failure msg (Sam Tannous)
 - [4f670a1e8ace] Move interface update msg to debug level (Sam Tannous)
 - [003620d3104b] Add ignore handler for SIGHUP in lldpcli (Sam Tannous)
 - [aef05ae38c63] This patch adds bash completion for lldpcli. (Sam Tannous)
 - [ea51049df882] snmp: use poll() to wait for AgentX socket to be ready (Vincent Bernat)
 - [dc6436adb4db] snmp: preserve previous flags when making AgentX socket non-blocking (Vincent Bernat)
 - [b93e39a16736] make agentx socket non-blocking (Sam Tannous)
 - [ad21b578b215] Make "too many neighbors for port" msg appear less frequently (Sam Tannous)
 - [aca48e4ba570] lldpd: Fix netlink notification group for address changes (Sam Tannous)
 - [b0b8841b0b42] Increase event buffer (Sam Tannous)
 - [e595efb4c177] log: info messages should be logged on syslog but not on first debug level (Vincent Bernat)
 - [254e5134d933] lldpd: fix log_info (Sam Tannous)
 - [5e23c6b99bd3] NEWS: credit seccomp fix (Vincent Bernat)
 - [d64549384f6f] lldpd: fix use of NULL in execl* (Vincent Bernat)
 - [d769cdb235cc] Merge pull request #70 from chutz/seccomp-whitelist (Vincent Bernat)
 - [285b33afd0da] lldpd: whitelist sendto, poll, recvmsg and readv in seccomp sandbox (Patrick McLean)
 - [1059a20e7e2d] NEWS: add a word about ability to disable LLDP (Vincent Bernat)
 - [b8a802bc7d8a] lldpd: fix how LLDP can be disabled (Vincent Bernat)
 - [806eaef4832a] cdp: don't expect and off-by-one checksum (Vincent Bernat)
 - [a5a60bbf97ed] frame: fix CDP checksum (udbxtd2008)
 - [f4da5f84837c] README: document the new promisc interface in README as well (Vincent Bernat)
 - [0a6f3866b830] lldpcli: give more details in the manual page about promiscuous mode (Vincent Bernat)
 - [f84199ddf6c9] lldpcli: add an option to enable promisc mode on managed interfaces (Vincent Bernat)
 - [ace524261458] priv: don't output rc status twice when unable to open socket (Vincent Bernat)
 - [50724a52606f] README: more about Cisco sending LLDP frames on VLAN 1 (Vincent Bernat)
 - [af5f56616c7f] osx: update version to 0.7.9 (Vincent Bernat)

0.7.9 [2014-05-28 12:08:51 +0200]:

 - [02e51cb01a07] debian: sync a bit with official packaging (Vincent Bernat)
 - [70943e342fff] version: prepare a new release (Vincent Bernat)
 - [cf11ddf09817] lldpd: trigger regular interface refresh when changing port ID (Vincent Bernat)
 - [bef085b8dbca] lldpcli: document `configure lldp portidsubtype` command (Vincent Bernat)
 - [e82818d13e77] NEWS: mention ability to configure port ID (Vincent Bernat)
 - [ff0a278f264a] lldpcli: fix a format warning (Vincent Bernat)
 - [cf719ce84bf0] lldpcli: remove unused variable (Vincent Bernat)
 - [8fbd31953957] Support for modifying PortID TLV (Sam Tannous)
 - [ba66666322f9] README: point to the website for install instructions (Vincent Bernat)
 - [f7f82e1e2a37] README: update the intro to better match the reality (Vincent Bernat)
 - [fd7bb9f409e6] travis: don't use regular options when on coverity branch (Vincent Bernat)
 - [cddf0a08236b] travis: don't do anything if not on the coverity branch (Vincent Bernat)
 - [d82e81816b5e] travis: reduce matrix by not compiling everything with clang (Vincent Bernat)
 - [b2c51a1d62be] travis: integrate coverity script in regular run.sh (Vincent Bernat)
 - [78f816e9af24] travis: when running coverity, skip regular build (Vincent Bernat)
 - [0db5b7bbffa6] travis: don't try to install launchd/systemd stuff (Vincent Bernat)
 - [c034207574e1] travis: no need for `make install` (Vincent Bernat)
 - [7b4eb1949a4b] bsd: ensure we also have space for the padding after BPF header (Vincent Bernat)
 - [eeb66a08bdb7] bsd: ensure proper alignment of BPF header (Vincent Bernat)
 - [986effcb7a97] bsd: ensure we also have space for the BPF header (Vincent Bernat)
 - [3d596bbefdd9] bsd: fix clang warning about alignment problem with sockaddr (Vincent Bernat)
 - [dd82040caf7d] travis: run "make distcheck" with the appropriate configure arguments (Vincent Bernat)
 - [7e4a91f0481d] travis: only run "make distcheck" (Vincent Bernat)
 - [047ab6702ded] travis: on OS X, try with/without embedded libevent and with/without SNMP (Vincent Bernat)
 - [45bf176ba539] travis: try to build only with clang on OS X (Vincent Bernat)
 - [54c78d4c61e2] travis: use devel version of net-snmp on OSX (Vincent Bernat)
 - [98e2e4754996] travis: misc change to trigger a rebuild (Vincent Bernat)
 - [622d14bbdf16] lldpcli: directive to configure IP management pattern (Vincent Bernat)
 - [6afb24c220d8] lldp: fix handling of LLDPDU expiration (Vincent Bernat)
 - [a85eea84bb3f] NEWS: mention support for shutdown LLDPDU (Vincent Bernat)
 - [5a215d4b32cd] lldp: support for shutdown LLDPU (Vincent Bernat)
 - [0e29d79487c5] interfaces: default to use of a local administered MAC address for bonds (Vincent Bernat)
 - [d5f8351c8367] NEWS: mention the fix for local address use (Vincent Bernat)
 - [8229c8ebd9ba] man: more documentation for bond-slave-src-mac-type (Vincent Bernat)
 - [c6d4d3229fb8] interfaces: fallback to fixed MAC if already a local MAC (Vincent Bernat)
 - [9173f75725a8] interfaces: fix use of locally administered use on bond devices (Vincent Bernat)
 - [860c5567ba39] osx: use /var as a base for socket location (Vincent Bernat)
 - [2cbc9cc56219] man: use configured path for /var/run/lldpd.socket (Vincent Bernat)
 - [5133ce2fc2b9] configure: make default PID location configurable (Vincent Bernat)
 - [3a3a36239b5d] configure: make default socket location configurable in configure (Vincent Bernat)
 - [9a4ed64aabbb] configure: use `runstatedir` instead of /var/run in configure (Vincent Bernat)
 - [08841844176c] configure: don't use fallback values in summary (Vincent Bernat)
 - [cdcf7dc577a2] lldpcli: return success when reading commands from files (Vincent Bernat)
 - [084988d49489] osx: update Homebrew formula to match what has been done in Homebrew (Vincent Bernat)
 - [c6d3aa0f58f4] configure: enable use of colored output for gcc (Vincent Bernat)
 - [8f109ee23771] configure: use -fstack-protector-strong if available (Vincent Bernat)
 - [70f4df2aaa49] osx: new release (Vincent Bernat)
 - [17a90fc0af9c] lldpcli: document new "configure system hostname" directive (Vincent Bernat)

0.7.8 [2014-04-13 10:34:13 +0200]:

 - [412a1dadab09] version: prepare new release (Vincent Bernat)
 - [724d71ea13ce] NEWS: add several items to the changelog (Vincent Bernat)
 - [3dc1eb8ca263] configure: make some flags conditional (Vincent Bernat)
 - [67d43beb0834] osx: blacklist p2pX interfaces (Vincent Bernat)
 - [29760896f54e] configure: hide errors when systemd is not present (Vincent Bernat)
 - [6579462d82d4] compat: fix vsyslog to rely on the result of vasprintf (Vincent Bernat)
 - [f31ac893ad90] compat: include stdarg to get va_list (Vincent Bernat)
 - [dbc971443826] compat: fix use of vasprintf (previously _vasprintf) (Vincent Bernat)
 - [3522094f0d24] lldpcli: use a previously unused variable (Vincent Bernat)
 - [984bbcbc1126] lldpd: add a note about command-line options (Vincent Bernat)
 - [f88a0f1f8209] Merge pull request #60 from jonasj76/override-hostname (Vincent Bernat)
 - [dfa181af0730] lldpd: Remove the '-N' command-line flag (Jonas Johansson)
 - [ce347d296c89] lldp: add option/command to override hostname (Jonas Johansson)
 - [87dfd17553de] coverity: change a bit the annotations (Vincent Bernat)
 - [b64a011bf4e4] coverity: fix a false positive in SNMP transport (Vincent Bernat)
 - [79dae0f0d8fb] coverity: fix memory leak in lldpd when the same option is repeated (Vincent Bernat)
 - [af35cabd68c6] coverity: fix memory leak in lldpcli (Vincent Bernat)
 - [d0b88676ed80] redhat: enable SNMP support on RHEL 5 and CentOS 5 by default (Vincent Bernat)
 - [ae7f4c2945f0] snmp: link with Net-SNMP later (Vincent Bernat)
 - [bd3da7c52879] priv: use AF_UNIX for socketpair() (Vincent Bernat)
 - [1a3dd5a8e028] configure: _XOPEN_SOURCE=500 to be like _GNU_SOURCE=1 (Vincent Bernat)
 - [554d650db8dc] hpux: provide a replacement for daemon() for HP-UX (Vincent Bernat)
 - [9f497e04a0a8] hpux: provide a replacement for vsyslog() for HP-UX (Vincent Bernat)
 - [da0a34dd6ba6] asprintf: we are also using vasprintf, let's define it correctly (Vincent Bernat)
 - [24b8d79f8895] build: use __EXTENSIONS__ and _XOPEN_SOURCE_EXTENDED everywhere (Vincent Bernat)
 - [9fe83ec06914] bsd: check of SIOCGIFDESCR instead of IFDESCRSIZE (Vincent Bernat)
 - [f41ed9c5bd31] privsep: don't use err.h: not needed (Vincent Bernat)
 - [6a5334d4d523] asprintf: fix warnings in SNMP tests related to asprintf (Vincent Bernat)
 - [0921a7f4ce4a] asprintf: do not redeclare on SNMP tests (Vincent Bernat)
 - [46673df2cbbe] asprintf: globally define _GNU_SOURCE (Vincent Bernat)
 - [39f940da4592] debian: fix postinst to create _lldpd user (Vincent Bernat)
 - [64ee56f83848] debian: same style for postinst and postrm (Vincent Bernat)
 - [b345311cbb8f] lib: use strlcpy() instead of strcpy() (Vincent Bernat)
 - [c6aa43e5b86d] interfaces: convert a whitelisted interface to a physical one (Vincent Bernat)
 - [627e31c489e6] interfaces: circumvent any physical check on exact match (Vincent Bernat)
 - [8b53fc2c2ad5] interfaces: allow whitelisting an interface (Vincent Bernat)
 - [d5e69431014a] interfaces: document and test pattern matching (Vincent Bernat)
 - [3ff9f162a184] build: use -fno-omit-frame-pointer for ease of debug (Vincent Bernat)
 - [27faad4fd793] lib: don't use strlcpy() when strcpy() just works (Vincent Bernat)
 - [dcf5d2f72dc9] build: remove duplicate const declaration (Vincent Bernat)
 - [ed9e6f414305] travis: put installation and test instructions into shell scripts (Vincent Bernat)
 - [81c693e642a4] travis: test with OSX and clang (Vincent Bernat)
 - [971d12ce529b] build: on OSX, use glibtoolize by default (Vincent Bernat)
 - [02987888adc8] lldpcli: fix readline() wrapper to take prompt as argument (Vincent Bernat)
 - [fe8f9650079c] lldpcli: check for privileges by checking access to control socket (Vincent Bernat)
 - [91f424d16491] lldpcli: root is privileged (Vincent Bernat)
 - [cc160b887858] interfaces: reset router and wlan capability bits (Vincent Bernat)
 - [6b0954714065] lldpd: enable "stationOnly" capability if we don't have anything else (Vincent Bernat)
 - [0c1589a2fea8] lib: add URL in lldpctl.pc (Vincent Bernat)
 - [edc0cc14a8c4] lib: fix includedir in lldpctl.pc (Vincent Bernat)
 - [69abf8b2b37c] fgetln: provide a version not relying on getline() (Vincent Bernat)
 - [31594635ecc1] daemon: unset UPSTART_JOB and NOTIFY_SOCKET once used (Vincent Bernat)
 - [45bf0bd0627d] lldpd: use vfork+exec instead of fork+exec (Vincent Bernat)
 - [16bbd290d5d7] priv: add compilation without privilege separation to Travis (Vincent Bernat)
 - [71a7dbb3c64d] priv: add the ability to disable privilege separation (Vincent Bernat)
 - [d2a289bba82f] privsep: IO should specify the context (Vincent Bernat)
 - [8b0ca98ef399] README: add build instructions for Android (Vincent Bernat)
 - [69a7ffa0bac8] include: don't ship `linux/socket.h` (Vincent Bernat)
 - [afe3dabf9eed] priv: declare `res_init()` for builds against Android's Bionic (Vincent Bernat)
 - [608b5669ebf1] lldpcli: replace safe use of `strcpy` by `strlcpy` (Vincent Bernat)
 - [0fd9e6e25bfb] build: hide generation of syscall-names.h (Vincent Bernat)
 - [7ee3d13d3637] cdp: fix regression in CDP packet building (Vincent Bernat)
 - [12313820fafc] lldp: don't hard-code sysname, sysdescr and portdescr (Vincent Bernat)
 - [912dfcff033b] interfaces: remove useless return (Vincent Bernat)
 - [d79850426254] lldp: do not send system description TLV if empty (Vincent Bernat)
 - [493b0d427fb4] configure: provide GitHub address for issues (Vincent Bernat)
 - [ed409ccd3ef8] clang: use ETHER_ADDR_LEN instead of sizeof() (Vincent Bernat)
 - [dd1d33cf7c97] marshal: use __alignof__ operator if available (Vincent Bernat)
 - [e4dea55d69be] clang: fix an obvious use after free (Vincent Bernat)
 - [6f4b6d5872c3] alignof: handle sizeof(t) == 1 case (Vincent Bernat)
 - [d68f1b813cf8] coverity: really fix popt issue (Vincent Bernat)
 - [46a5f939b66d] coverity: add code annotation to remove false positives (Vincent Bernat)
 - [26667615414c] coverity: if we cannot read /etc/localtime, don't go further (Vincent Bernat)
 - [8ad3bafab619] coverity: don't fallback to next case for clarity (Vincent Bernat)
 - [e2b09091a263] coverity: replace unsafe uses of strncpy by strlcpy (Vincent Bernat)
 - [cdece23a6df4] coverity: remove always false comparison (Vincent Bernat)
 - [39d78d567ddf] coverity: remove dead code (Vincent Bernat)
 - [037d4c8ea40e] coverity: don't make `-L` flag switch off version advertisement (Vincent Bernat)
 - [3332985ad598] coverity: handle case where we didn't get enough place in getopt string (Vincent Bernat)
 - [ddd75166dd41] coverity: remove a theoritical memory leak (Vincent Bernat)
 - [4032084d12c4] coverity: fix a memory leak (Vincent Bernat)
 - [3ee3f25d9ad2] coverity: fix a resource leak (Vincent Bernat)
 - [b7e2b07c1eb6] coverity: fix TOCTOU problem when creating chroot (Vincent Bernat)
 - [0059e4786dc8] coverity: remove dead code (Vincent Bernat)
 - [a56f413747cf] coverity: remove unused pointer value (Vincent Bernat)
 - [6df40257e2c1] gitignore: add GNU global files (Vincent Bernat)
 - [872caaf9e779] debian: fix debian/lldpd.install to use provided lldpd.service (Vincent Bernat)
 - [82e23221f46a] redhat: don't try to install systemd stuff (Vincent Bernat)
 - [a28d7016c92e] redhat: fix version in lldpd.spec (Vincent Bernat)
 - [e4e5a1f8efc2] osx: update homebrew recipe (Vincent Bernat)

0.7.7 [2013-11-10 15:42:52 +0100]:

 - [d72c2c591fb6] release: prepare for release of 0.7.7 (Vincent Bernat)
 - [3a9dc9c133f5] lldpd: tell `lldpcli` to use the appropriate control socket (Vincent Bernat)
 - [f7242beb1ef8] lldpcli: accepts `-u` option to specify control socket (Vincent Bernat)
 - [b6312220edf5] privsep: put /etc/localtime in chroot (Vincent Bernat)
 - [4006b64e3a92] systemd: also read /etc/sysconfig/lldpd (Vincent Bernat)
 - [ff4d7fa9c7ef] systemd: require mount points to have chroot possible (Vincent Bernat)
 - [25f47deab82c] systemd: starts lldpd after network (Vincent Bernat)
 - [c2e68bff3dda] tests: only test if we have `check` installed (Vincent Bernat)
 - [246701fe22bd] seccomp: do not ship `syscall-names.h` (Vincent Bernat)
 - [6a427fb18c67] travis: don't limit tests to master branch. (Vincent Bernat)
 - [4e97a0bf8488] lib: fix a segfault introduced in ef3707 when freeing an atom (Vincent Bernat)
 - [00e40dba232c] seccomp: add support for seccomp through libseccomp (Vincent Bernat)
 - [bde52887c7f4] systemd: use full path for mkdir/cp (Vincent Bernat)
 - [140e34f05746] systemtap: provide an appropriate tapset (Vincent Bernat)
 - [bdfe41938907] dtrace: add systemtap/DTrace support (Vincent Bernat)
 - [5f7d1cd51fe9] README: explain how to handle VLAN-encapsulated LLDP frames (Vincent Bernat)
 - [f17837f781b0] configure: use a convenience library for fixed point arithmetic (Vincent Bernat)
 - [c0cdd0111f3f] Revert "README: remove inexact paragraph about stacking bonding/vlans/bridges" (Vincent Bernat)
 - [12baf7811f63] linux: fix a regression in how enslaved devices' MAC addresses are retrieved (Vincent Bernat)
 - [dbcb684662e2] event: don't call `netsnmp_check_outstanding_agent_requests()` (Vincent Bernat)
 - [9a4e257b0ad1] priv: use unistd.h to get `close()` (Vincent Bernat)
 - [4565704cef06] configure: remove an extra parenthesis in args.m4 (Vincent Bernat)
 - [4dfe31fd72ad] systemd: install service file using `systemdsystemunit_DATA` (Vincent Bernat)
 - [bdc954b77ada] lib: fix notification by reading one byte at a time from Unix socket (Vincent Bernat)
 - [9d1524b7de1c] systemd: ship lldpd.service file if possible (Vincent Bernat)
 - [41e57d5a8821] lldpd: fix a segfault when a port disappear (Vincent Bernat)
 - [42ea638d61b5] lldpd: small optimization in the expiration process (Vincent Bernat)
 - [ef3707dacfd9] lldpd: make notifications work when a port goes down (Vincent Bernat)
 - [f5a0a15ea37d] linux: add support for team devices (Vincent Bernat)
 - [5813918ade1b] rpc: don't check source MAC settings when it is 0 (Vincent Bernat)
 - [7d758eec2bf7] interfaces: mangle source MAC address on bonds for other OS too (Vincent Bernat)
 - [5347914ef1fc] interfaces: abstract a bit MAC address mangling for bonding devices (Vincent Bernat)
 - [99704cd9b9ff] interfaces: move "mangle" function for bond slaves (Vincent Bernat)
 - [bae18e13c284] lldpcli: remove unused variable (Vincent Bernat)
 - [d7166588be78] lib: update version-info to match previous changes (Vincent Bernat)
 - [2746d430fbcc] bond: reenable the possibility to use a fixed MAC address (Vincent Bernat)
 - [c9703b9640ac] client: move register of bond-slave-src-mac-type to a separate function (Vincent Bernat)
 - [dfbd7185f823] [PATCH| lldpd: use bond slave real mac with locally administered bit set as sour ce man in lldp frames sent on bond slaves (Roopa Prabhu)
 - [87bc6683c602] linux: mangle MAC address for enslaved devices (Vincent Bernat)
 - [96f2411a2bbf] lib: fix parsing of "11542." (Vincent Bernat)
 - [f730f6c5f648] lib: introduce proper fixed point parsing and representation module (Vincent Bernat)
 - [d2c04230fb3a] lib: correctly set altitude unit without erasing neighbouring data (Vincent Bernat)
 - [bec75f842fa4] event: replace `evutil_make_socket_nonblocking()` by an idempotent version (Vincent Bernat)
 - [1e0d651f6ec9] lldpd: invoke `setproctitle_init()` when needed (Vincent Bernat)
 - [5c4fa9bdc202] priv: use `sigaction()` instead of `signal()` to install non-default signals (Vincent Bernat)
 - [82fcdf156dd2] README: on OSX, /etc is a symlink to /private/etc. (Vincent Bernat)
 - [c3f855602d84] osx: make the path to /Library/LaunchDaemons configurable (Vincent Bernat)
 - [352897291cc5] osx: minimize differences with downstream Homebrew formula (Vincent Bernat)
 - [6ed2b9ad9b4f] osx: fix a syntax error in Homebrew formula (Vincent Bernat)
 - [91a63c540e59] osx: patch the installation of launchd plist file for Homebrew (Vincent Bernat)
 - [53c56a7a0fef] osx: don't remove the whole /Library/LaunchDaemons directory on uninstall! (Vincent Bernat)
 - [d0a033727caa] configure: check for `res_init()` before trying other forms. (Vincent Bernat)
 - [ba09084d4764] README: remove inexact paragraph about stacking bonding/vlans/bridges (Vincent Bernat)
 - [25354cf35113] osx: update SHA1 sum for Homebrew recipe (Vincent Bernat)

0.7.6 [2013-07-12 10:00:01 +0200]:

 - [09587df0ed71] osx: fix postinstall script (Vincent Bernat)
 - [3336988a6ccd] packaging: change `PreReq` to `Requires(pre)` in lldpd.spec (Vincent Bernat)
 - [03b0a19012f9] packaging: update to 0.7.6 (Vincent Bernat)
 - [22f1ea467ef9] README: show how to use tcpdump for troubleshooting (Vincent Bernat)
 - [065732ca3413] priv: correctly declare `priv_cmd` type (Vincent Bernat)
 - [bcde9c0aa535] doc: add a CONTRIBUTE document (Vincent Bernat)
 - [fef34dede19b] linux: define IFALIASZ for old systems (Vincent Bernat)
 - [3a723384557d] lldpd: fix a fd leak when we cannot write the new alias (Vincent Bernat)
 - [015ecdd5f6ac] lldpd: append "was" to an interface description when a neighbor disappear (Vincent Bernat)
 - [bb37268d812b] client: add "configure/unconfigure system interface description" command (Vincent Bernat)
 - [2de09499f87f] lib: `lldpctl_k_config_receiveonly` is a read-only property (Vincent Bernat)
 - [47820fc416cc] interfaces: overwrite interface description with neighbor found (Vincent Bernat)
 - [53d4577a63fd] priv: avoid to leak generic socket (Vincent Bernat)
 - [4ea0565ebd7c] privsep: separate OS specific code to dedicated files (Vincent Bernat)
 - [784077f8b096] redhat: require groupadd/useradd (Vincent Bernat)
 - [31e4e7c6205f] osx: don't repeat `pkg-ref` several times in `distribution.xml` (Vincent Bernat)
 - [4c4e1aef7a51] osx: don't use `domains` tag in `distribution.xml` (Vincent Bernat)
 - [462d8b6c813a] osx: add a way to compile for older versions of OS X (Vincent Bernat)
 - [fa71a00c8b1a] osx: `make pkg` can now build universal binaries (Vincent Bernat)
 - [5b90c4f5c054] osx: don't try to build universal binaries (Vincent Bernat)
 - [42494121e890] configure: remove out-dated instructions to regen autoconf out-of-git (Vincent Bernat)
 - [5e36732de776] snmp: fix a typo in `agent_priv.c` (Vincent Bernat)
 - [e9f4d63c9efa] configure: ensure that osx/scripts are executable (Vincent Bernat)
 - [7298e28fad13] osx: use HTML files instead of RTF for welcome message (Vincent Bernat)
 - [92f5db08c399] osx: simpler instructions in README.md (Vincent Bernat)
 - [b708297cbab9] osx: add a target to build an OSX package (Vincent Bernat)
 - [abacd8d20f8c] configure: fix a typo in the description of `--with-embedded-libevent` option (Vincent Bernat)
 - [e37255a58218] travis: check that we can build lldpd with embedded libevent (Vincent Bernat)
 - [f829effd3fe8] configure: add a flag to force use of embedded libevent (Vincent Bernat)
 - [eea17f742927] debian: update packaging to match downstream (Vincent Bernat)
 - [edc437d94f56] compat: include config.h in compat.h (Vincent Bernat)
 - [28178982aa65] compat: fix strndup (Vincent Bernat)
 - [2523da3af610] NEWS: add an entry about the use of `strndup()` (Vincent Bernat)
 - [7354ec8f2bd0] compat: add `strndup()` compatibility function (Vincent Bernat)
 - [d52cf1d2729f] compat: remove copyright notice for setproctitle() (Vincent Bernat)
 - [c6540ece3ea7] tests: define ck_assert_ptr_eq if check is too old (Vincent Bernat)
 - [46a402c55b96] osx: use SHA1 instead of MD5 in homebrew formula (Vincent Bernat)
 - [1e8952da6db7] check: use `ck_assert_ptr_eq` instead of `ck_assert_int_eq`. (Vincent Bernat)
 - [b0cb07f7ed0b] style: use C99 designated initializers instead of memset() when possible (Vincent Bernat)
 - [444c6862d096] packaging: update to 0.7.5 (Vincent Bernat)

0.7.5 [2013-06-22 13:57:31 +0200]:

 - [2169efb24f0a] tokenizer: input buffer was too small (Vincent Bernat)
 - [6712d3ec1409] packaging: update packaging (Vincent Bernat)

0.7.4 [2013-06-22 12:15:47 +0200]:

 - [138121782171] bpf: on OpenBSD, invert the filter direction (Vincent Bernat)
 - [96b97fac65bb] NEWS: add an entry for the use of `setproctitle()` (Vincent Bernat)
 - [f0d215766ac0] compat: declare `setproctitle()` as a printf function (Vincent Bernat)
 - [19ce8130c7f1] debian: build-depends on libbssd-dev (Vincent Bernat)
 - [e7103aff39e2] lldpd: when no `setproctitle()` available, don't count neighbors (Vincent Bernat)
 - [480f1c6130ef] lldpd: count number of chassis to get number of neighbors (Vincent Bernat)
 - [25eb1871461a] lldpd: don't call `lldpd_count_neighbors()` too many times (Vincent Bernat)
 - [66879d46ac2b] build: use libbsd if available, also use `setproctitle()` (Vincent Bernat)
 - [3f70e1182aeb] lldpcli: `configure system platform` to override platform description (Vincent Bernat)
 - [decaec0d8a67] lldpcli: `configure system description` to override chassis description (Vincent Bernat)
 - [994b3371b3b0] lldpcli: split `conf.c` into `conf-system.c` and `conf-lldp.c`. (Vincent Bernat)
 - [48d0a4b0d72e] lldpcli: `configure system interface pattern` instead of `configure lldp iface-pattern` (Vincent Bernat)
 - [a3e0896768d4] libevent: use GitHub git tree (Vincent Bernat)
 - [c11e397a7598] debian: sync packaging with official Debian package (Vincent Bernat)
 - [e39f079a1558] libevent: switch to patches-2.0 branch to get the appropriate automake fix (Vincent Bernat)
 - [8677ddc78172] git: ignore test-driver, generated by recent automake versions (Vincent Bernat)
 - [bea0d76429a2] Fixed some boundary conditions in code that cleans remote ports on ttl expiry. (Roopa Prabhu)
 - [5aeda65433fd] liblldpctl: fix infinite loop when user is reading fixed chunks (Pradosh Mohapatra)
 - [d82342940c39] marshal: fix alignment issue when unserializing (Vincent Bernat)
 - [bea703140788] log: fix memory leak when using a log handler (Vincent Bernat)
 - [a8da18644b17] marshal: don't declare serialize/unserialize helper for string (Vincent Bernat)
 - [02cf0357c916] lldpd: fix an alignment (non-)issue (Vincent Bernat)
 - [bd8a8861df79] lldpcli: don't use an hack to pass the writer to watch callback (Vincent Bernat)
 - [985a4cb5f210] marshal: provide type-specific serialization/unserialization functions (Vincent Bernat)
 - [aba549a82a0f] client: fix a memory leak when changing lldpd configuration (Vincent Bernat)
 - [93afd294af9b] ctl: fix a memory leak when cleaning control socket (Vincent Bernat)
 - [e681c859c6c9] client: trigger interface refresh when updating interface pattern (Vincent Bernat)
 - [e26a25ca4d0e] lib: fix a memory leak when modifying interface pattern (Vincent Bernat)
 - [0093777b2894] lldpcli: document "configure lldp iface-pattern" in manual page (Vincent Bernat)
 - [7e516f104a85] lldpctl.h: document possibility to write iface-pattern (Vincent Bernat)
 - [346a0f6961ba] lldpcli: Add support to set iface-pattern (roopa)
 - [0728cb8205f7] sonmp: allow SONMP unittests to work without a global config (Vincent Bernat)
 - [ea481e370199] man: document tx-hold (Vincent Bernat)
 - [cb5f7399a79f] man: tx-interval cannot be set per port (Vincent Bernat)
 - [c10302a38ece] lldpd: Add tx_hold (roopa)
 - [5920dbf73ae1] lldpcli: don't rely on `fgetln()` providing a NULL-terminated string (Vincent Bernat)
 - [655145c07b89] lldpcli: don't free input line (Vincent Bernat)
 - [d1dc456f990f] lib: keep space for new values in `lldpctl_key_t` (Vincent Bernat)
 - [40116b407603] debian: synchronize packaging with Debian (Vincent Bernat)
 - [e91ca9d0157c] release: prepare 0.7.3 (Vincent Bernat)

0.7.3 [2013-05-09 00:05:36 +0200]:

 - [a1728b7df077] NEWS: add a word about Solaris support (Vincent Bernat)
 - [b1a8985da685] solaris: less intrusive way to get CMSG_* macros (Vincent Bernat)
 - [815b799b44ed] solaris: assume that IP forwarding is disabled (Vincent Bernat)
 - [c3e340b6be8a] solaris: preliminary support (Vincent Bernat)
 - [d0787f4e65c4] NEWS: add an entry about LLDP-MED fast start. (Vincent Bernat)
 - [486a61330146] lldpcli: allow to enable/disable fast-start and set delay (Vincent Bernat)
 - [d6d42d56f7eb] lldpd: enable fast start by default (Vincent Bernat)
 - [be511d00bf41] lldpd: make fast start work only when receiving LLDP-MED LLDPDU (Vincent Bernat)
 - [b9de0ca613f3] lldpd: fast start support (roopa)
 - [7ba4a1832e43] configure: use `AC_PROG_EGREP` to find a suitable `grep -E` (Vincent Bernat)
 - [ae5cae025029] lib: use uint8_t instead of u_int8_t (Vincent Bernat)
 - [91e0280a7e7d] configure: display configured OS (Vincent Bernat)
 - [885aa4f4aaba] lldpcli: complete the manual page with the syntax of "show statistics" (Vincent Bernat)
 - [d947819daaaa] lldpcli: summary of statistics is done on provided ports only (Vincent Bernat)
 - [048ed9db7ddf] lldpcli: fix two warnings introduced by the previous commit (Vincent Bernat)
 - [adcb76f83ac9] NEWS: add an entry for "show statistics summary" command (Vincent Bernat)
 - [5331eb2d47f0] lldpcli: global stats command (roopa)
 - [1b3eea3d9025] os: add support for DragonFly BSD (Vincent Bernat)
 - [de461f15d788] netlink: fix IP address discovery (Vincent Bernat)
 - [3fc1a10a030f] lldpcli: fix typo in the man page for setting altitude (Vincent Bernat)
 - [45a83f305d67] bsd: don't report a warning when no media information is present (Vincent Bernat)

0.7.2 [2013-04-20 02:59:47 +0200]:

 - [03ee074db6ca] build: both client and lib may need shipped headers in include/ (Vincent Bernat)
 - [4c758e896ded] fgetln: getline may need _GNU_SOURCE (Vincent Bernat)
 - [bed9f656dc3a] install: install ChangeLog (Vincent Bernat)
 - [21a48c644336] bsd: reorder headers to fix compilation of various BSD (Vincent Bernat)
 - [ef1ae4e787c9] Prepare for 0.7.2 release. (Vincent Bernat)
 - [ced5eed17d20] doc: update NEWS entry for "show statistics" command (Vincent Bernat)
 - [ecb92d57646e] lib: remove unneeded struct for stats in private.h (Vincent Bernat)
 - [012ec0d28893] lldpcli: use human labels for statistics (Vincent Bernat)
 - [ddfbab08bfe5] lldpcli: reuse cmd_restrict_ports() to handle port restriction in "show stats" (Vincent Bernat)
 - [864a7bd519f1] event: add missing <time.h> include (Vincent Bernat)
 - [78356144eeab] lldpcli: Add support to display lldp stats (roopa)
 - [fcc2a75a16e5] Revert "debian: on Debian, don't ship upstart script" (Vincent Bernat)
 - [d5e9611c1cc9] debian: on Debian, don't ship upstart script (Vincent Bernat)
 - [75b0d3c2c502] debian: require dh-autoreconf for autoreconf.mk to be present (Vincent Bernat)
 - [43d109568939] cdp: force CDPv2 protocol with `-ccc` argument (Vincent Bernat)
 - [8a771868ceb8] lldpd: really accepts only 4 neighbors (Vincent Bernat)
 - [3333d2a8a810] lldpd: enforce TTL on remote chassis (Vincent Bernat)
 - [4258966022fc] lldpd: limit the maximum of neighbors per port and per protocol (Vincent Bernat)
 - [426ee11eefd4] README: add a note about executing lldpd without installing it (Vincent Bernat)
 - [e581ec3043d5] lib: fix sync_recv to handle segmentation (Vincent Bernat)
 - [3bd96fcb13a5] test: add an helper to generate many neighbors (Vincent Bernat)
 - [dc21d049d798] lldpd: correctly parse /etc/os-release (Vincent Bernat)
 - [618db74a5ae6] lib: `ctlname` in `lldpctl_conn_t` is not const (Vincent Bernat)
 - [2217afc54e49] lib: bump version-info of liblldpctl for `lldpctl_new_name()` function (Vincent Bernat)
 - [0262adbbcca0] Add a argument to specify the unix control socket (Zang MingJie)
 - [760f35d4bc41] Add autoreconf to call autogen.sh while build deb (Zealot)
 - [e991f5366914] build: also ship ./autogen.sh (Vincent Bernat)
 - [a888bea6f086] build: use the same way as libbsd for version and changelog (Vincent Bernat)
 - [bf49b9c17799] build: try to save current version in `VERSION` (Vincent Bernat)
 - [30d283708fd6] install: remove liblldpctl previous symbolic link (Vincent Bernat)
 - [c3c22d18622f] configure: only match tags starting with a digit for version number (Vincent Bernat)
 - [4c1a8c615221] build: check if libevent as provided by pkg-config is working (Vincent Bernat)
 - [290951985e0b] doc: add documentation about reading /etc/lldpd.conf and /etc/lldpd.d/* (Vincent Bernat)
 - [981ee4fec9fb] interfaces: whitelist an interface before being checking lower (Vincent Bernat)
 - [ee715bf2f9ee] libevent: produce smaller binaries when shipping libevent (Vincent Bernat)
 - [f88442acdee8] lldpcli: possibility to configure tx-delay (Vincent Bernat)
 - [4a22e2c14364] lldpcli: fix exit command (Vincent Bernat)
 - [e15f96d2ae0e] lldpcli: split actions.c in several files (Vincent Bernat)
 - [e688f90f6d38] lldpcli: put port restriction into a commands.c for use in other files (Vincent Bernat)
 - [eb78d6e3d9be] lldpd: discard output of lldpcli (Vincent Bernat)
 - [ba529c82f338] lldpd: pause only if lldpcli has not been disabled (Vincent Bernat)
 - [e4ff3ed5cec2] lldpd: pause at start, unpause through lldpcli (Vincent Bernat)
 - [51534ef3a17f] lldpd: invoke lldpcli at start (Vincent Bernat)
 - [676b4970ddd5] ctl: close control socket on error when connecting (Vincent Bernat)
 - [ade27163aa55] build: lib and client don't need shipped OS specific headers (Vincent Bernat)
 - [6402fd2c61c0] lldpcli: add an option to read commands from files (Vincent Bernat)
 - [80c974a8d66a] Fix some spelling mistakes. (Vincent Bernat)
 - [24a63670e5b6] debian: don't remove inexistent CHANGELOG file (Vincent Bernat)
 - [81e1569c2406] debian: provide a development package for liblldpctl (Vincent Bernat)
 - [14c30a6bf6af] priv: add ability to lock filter on Linux (Vincent Bernat)
 - [2d2d6e9503d9] priv: make inability to set write filter as fatal (Vincent Bernat)
 - [6fd393a2ffe2] priv: create chroot if it does not exist (Vincent Bernat)
 - [e735a3196e17] priv: lock BPF interface on BSD (Vincent Bernat)
 - [72706acd815f] lldpcli: add "help" command in manual page (Vincent Bernat)
 - [9791926353b0] osx: don't include "head" bits in homebrew formula (Vincent Bernat)
 - [593630190cdd] osx: update Homebrew formula with JSON and SNMP support (Vincent Bernat)
 - [01ac27b2a3cd] snmp: workaround unknown value for RONLY (Vincent Bernat)
 - [3abff5ce6dac] marshal: serialization may return 0 and target untouched (Vincent Bernat)
 - [9a6a7f740943] snmp: frame.h is not needed anymore (Vincent Bernat)
 - [aa015c2618ec] clang: additional fixes detected by clang analyzer (Vincent Bernat)
 - [506273e9a272] Small fixes detected by clang analyzer. (Vincent Bernat)

0.7.1 [2013-01-13 00:46:46 +0100]:

 - [a6c894e35018] packaging: update packaging stuff for release (Vincent Bernat)
 - [13b47e2346ad] build: more changelog drama (Vincent Bernat)
 - [ceb3792235a3] systemd: don't use SOCK_CLOEXEC (Vincent Bernat)
 - [6475817e06e0] event: replace obsolete `sigignore()` by `signal()` (Vincent Bernat)
 - [bf74bdaf318d] doc: new homepage for lldpd (Vincent Bernat)
 - [835c9df64b90] compat: add `strnlen()` which may be absent on some older systems (Vincent Bernat)
 - [35b64151e9d1] bsd: compatibility with systems that do not have interface descriptions (Vincent Bernat)
 - [d53240cdf026] build: fix changelog generation (Vincent Bernat)
 - [29e300e5ab4a] osx: add an homebrew formula (Vincent Bernat)
 - [0339b9a2e1cd] configure: compatibility with automake 1.12 (Vincent Bernat)
 - [6a8ed6603229] autogen: don't use readlink -f (Vincent Bernat)
 - [bb1666fe512e] autogen: allow to override commands used (Vincent Bernat)
 - [547e7dc09403] dmi: implementation for Mac OS X. (Vincent Bernat)
 - [e66b7f34ca14] Mac OS X support. (Vincent Bernat)
 - [4e8e0fd4324a] build: add tag date in changelog (Vincent Bernat)
 - [cdf67f33be48] priv: mirror the exit status of the child (Vincent Bernat)
 - [322aafc99739] debian: add systemd support (Vincent Bernat)
 - [8172214fa00b] lldpd: remove uncleaned control socket when noone is listening (Vincent Bernat)
 - [2591639f6f81] debian: provide an upstart job (Vincent Bernat)
 - [2b35e2d075da] README: mention multi-OS support (Vincent Bernat)
 - [b210a6170020] debian: update Debian packaging. (Vincent Bernat)
 - [a5d1ce7553c8] redhat: fix Redhat packaging (Vincent Bernat)
 - [0eb9ad161b5c] redhat: update lldpd.spec (Vincent Bernat)
 - [80771ccb88b5] build: fix generation of ChangeLog (Vincent Bernat)

0.7.0 [2013-01-06 14:06:19 +0100]:

 - [25272118a034] lldpcli: add a "help" command. (Vincent Bernat)
 - [852728bc7793] lldpcli: fix "source unknown" for Dot3/LLDP-MED power. (Vincent Bernat)
 - [07f2c5678ec0] lldpcli: don't rely on `rl_delete_text()` (Vincent Bernat)
 - [35f6f4fb7360] lldpcli: make readline library optional. (Vincent Bernat)
 - [23e7fa38bd58] lldpcli: switch to GNU Readline. (Vincent Bernat)
 - [86b5c6fb48a4] event: trigger the main iteration when starting the main loop. (Vincent Bernat)
 - [048355f33558] lldpcli: ensure `conn` is initialized to NULL to avoid a compiler warning (Vincent Bernat)
 - [552502a43d93] lldpcli: don't propose configure for options not compiled (Vincent Bernat)
 - [c1173aa81a20] lib: fix a compilation problem when LLDP-MED or Dot3 were disabled (Vincent Bernat)
 - [c84c43ed9cbc] redhat: also ship lldpcli (Vincent Bernat)
 - [3f3e636cfb45] redhat: add libedit-devel for RPM distros as well (Vincent Bernat)
 - [ef28b72f8069] debian: also add libedit-dev as a dependency (Vincent Bernat)
 - [e0da4f391e32] travis: add libedit-dev in the dependencies (Vincent Bernat)
 - [fdc876d63596] lldpcli: let libedit install its own signal handlers (SIGWINCH) (Vincent Bernat)
 - [95a17bbc07eb] Merge branch 'feature/1/cli' (Vincent Bernat)
 - [9cac8fed5db1] doc: fix doxygen warnings and don't parse include/linux (Vincent Bernat)
 - [68e382123271] configure: detect libedit without pkg-config (Vincent Bernat)
 - [40d50aa35cbb] build: no need to save CFLAGS LDFLAGS when testing libevent (Vincent Bernat)
 - [a8be34bae896] lldpcli: accept a command from the command line arguments (Vincent Bernat)
 - [9777261948ae] lldpcli: fix manual page about specifying ports. (Vincent Bernat)
 - [fe80711eda57] lldpcli: rename lldpctl to lldpcli. (Vincent Bernat)
 - [0a138003b697] lldpctl: remove "unconfigure" commands (not implemented) (Vincent Bernat)
 - [9a775667baec] lldpctl: add a CLI (Vincent Bernat)
 - [6fcf11caf862] lib: add a function to retrieve a map (Vincent Bernat)
 - [1a6df50ef4ce] lib: fix a memory leak when setting LLDP-MED ELIN number (Vincent Bernat)
 - [959a54d447eb] event: make levent_send_now() work again (Vincent Bernat)
 - [a0665efae40a] NEWS: add a word about detecting interface changes (Vincent Bernat)
 - [a4c33103e900] *bsd: listen on PF_ROUTE socket to get interface changes (Vincent Bernat)
 - [aa313f2a78c4] event: avoid socket leak if we cannot register netlink socket (Vincent Bernat)
 - [579bedd5494c] event: use a separate event timer for each port (Vincent Bernat)
 - [34e7d3573540] lldpd: remove unused `g_lastsent` (Vincent Bernat)
 - [47862f89afec] marshal: ensure that two identic structures are serialized in the same way (Vincent Bernat)
 - [2565eae6c19d] NEWS: add a word about NetBSD support (Vincent Bernat)
 - [c258a053f9bb] interfaces: correctly detect link down interfaces (Vincent Bernat)
 - [0484f180fafd] netlink: listen to netlink changes to trigger interface updates (Vincent Bernat)
 - [bfdc2a8c2b08] lldpd: cleanup phase is done in `update_local_ports()` (Vincent Bernat)
 - [281a5cd416ee] global: fix some issues detected by cppcheck (Vincent Bernat)
 - [1dfac34651aa] lib: use strlcpy and snprintf instead of strcpy and sprintf (Vincent Bernat)
 - [8a48b0132b9f] openbsd: add DMI information (Vincent Bernat)
 - [fc8ccb0fffa5] openbsd: don't use BIOCSSEESENT with OpenBSD (Vincent Bernat)
 - [4f266697a1a5] freebsd: add DMI support (Vincent Bernat)
 - [70c9cb05ff14] priv: open special call is only needed for Linux (Vincent Bernat)
 - [8dab56982450] Add NetBSD support. (Vincent Bernat)
 - [d60d0bd7c99f] interfaces: put the appropriate aggregation ID when an interface is enslaved (Vincent Bernat)
 - [fdabbf8ed7cd] ctl: fix previous partial commit about unix path max length (Vincent Bernat)
 - [f373225ac654] ctl: don't use a #define to define size, use sizeof() (Vincent Bernat)
 - [690b944cc01b] OpenBSD support. (Vincent Bernat)
 - [4e5f34c5231a] freebsd: make it compile and work on real FreeBSD systems (Vincent Bernat)
 - [63aebf55ecee] freebsd: link aggregation only works from FreeBSD 9.1. (Vincent Bernat)
 - [242845c75482] freebsd: correctly check if routing is enabled (Vincent Bernat)
 - [d56bb3bd6cf8] build: allow more modern coding style with empty initializers (Vincent Bernat)
 - [fda729fd1232] Add support for FreeBSD. (Vincent Bernat)
 - [22e8cd65738d] interfaces: sending/receiving on raw interfaces is OS specific (Vincent Bernat)
 - [88bc404fec75] interfaces: setting up raw interface with BPF filter is OS specific (Vincent Bernat)
 - [adbb6e54c36c] interfaces: abstraction of interfaces/devices (Vincent Bernat)
 - [2fafbd309cac] netlink: fix bogus alignment warnings (Vincent Bernat)
 - [2d1fe392f355] frame: mark with `(void)` when we don't check for result of PEEK/POKE (Vincent Bernat)
 - [072f743c2660] ctl: fix alignment issue (Vincent Bernat)
 - [0e940d8ddac5] marshal: respect GCC strict-aliasing rule (Vincent Bernat)
 - [184bd1993249] interfaces: disable the use of ioctl for bridges (Vincent Bernat)
 - [5d6aba3e3a87] build: ensure _GNU_SOURCE is defined early (Vincent Bernat)
 - [2516cfb1d6d4] build: ship a include/ directory (Vincent Bernat)
 - [c557a63b6a17] interfaces: harmonize arguments of detection functions (Vincent Bernat)
 - [3e2e693ca5ca] lldpd: fix debug message when discarding a received frame (Vincent Bernat)
 - [f6c4ca4b8f8c] interfaces: handle correctly VLAN inside VLAN inside bridges inside bonds (Vincent Bernat)
 - [e12c2365d18e] interfaces: switch to Netlink to gather interface-related information (Vincent Bernat)
 - [d902e68880f1] build: make autogen.sh a little bit more generic (Vincent Bernat)
 - [0ac0576e3b65] build: use a simplified autogen.sh script (Vincent Bernat)
 - [34e8e83f88f9] libevent: use a git submodule (Vincent Bernat)
 - [0dee00a2c59c] travis: workaround the fact that Travis images are not always up-to-date (Vincent Bernat)
 - [8b7150e4d936] lldpctl: new JSON output (Vincent Bernat)
 - [ee23a74f24a3] log: remove extra linefeeds from log_*() and fatal*() calls (Vincent Bernat)
 - [43b82d6eb660] NEWS: add a mention about the fact we can filter debug logs (Vincent Bernat)
 - [9e5d99d4ea52] log: add -D option to filter out debug logs (Vincent Bernat)
 - [6f8925bed5a1] log: convert LLOG_* to log_* and add more debug logs (Vincent Bernat)
 - [be6db89386e1] snmp: don't send traps when SNMP is not enabled (Vincent Bernat)
 - [26fa5d1793cf] log: prefix logs with a token to allow filtering (Vincent Bernat)
 - [c9429a4256d3] log: enhance logging output (Vincent Bernat)
 - [d889b7ce37a2] compile: remove a warning about uninitialized struct (Vincent Bernat)
 - [1e1409746c8d] Update to libevent 2.0.21. (Vincent Bernat)
 - [46baf62775ea] lldpd: add possibility to disable LLDP (Vincent Bernat)
 - [181351d6bfdd] lldp: fix parsing of LLDP pair control (Vincent Bernat)
 - [b2b9498cf7e4] build: don't use a comment at start of rule (unportable) (Vincent Bernat)
 - [e44320fdaacd] build: build an empty changelog if not available (Vincent Bernat)
 - [92b3c20a991b] redhat: don't build SNMP support on CentOS (Vincent Bernat)
 - [373ebf556453] lib: silent some compiler warning about unitialized value (Vincent Bernat)
 - [7e431dafbdb8] build: install ChangeLog in /usr/share/doc (Vincent Bernat)
 - [b21606074250] debian/redhat: update packaging (Vincent Bernat)
 - [ba93c521b3b2] interfaces: don't listen to enslaved interface until master interface has been configured (Vincent Bernat)
 - [6c5861233e6b] build: use AC_PROG_CC_C99 instead of -std=gnu99 (Vincent Bernat)
 - [2026447359d1] display: fix display of various Dot3 advertised links (Vincent Bernat)
 - [f793b28b330c] libevent: upgrade embedded copy to 2.0.20. (Vincent Bernat)
 - [5fa8eaa5917d] const: fix a type in LLDP_DOT3_MAU_100BASET2FD (Vincent Bernat)
 - [a254a33eff08] travis: use only two sets of configure options and check "distcheck" and "install" targets (Vincent Bernat)
 - [1e388a697bb8] build: fix compilation without LLDP MED (Vincent Bernat)

0.6.1 [2012-09-04 21:10:49 +0200]:

 - [a5cf540cbcf7] build: move manual page next to the source code (Vincent Bernat)
 - [ef9d4476b135] build: add author name and commit hash in generated changelog (Vincent Bernat)
 - [25de85a4f938] snmp: add lldpRemTablesChange notification (Vincent Bernat)
 - [14052b619757] lldpd: add proper insert/delete/ageout counters (Vincent Bernat)
 - [8843f1689739] general: use "TX interval" instead of "TX delay" to be more coherent with the MIB (Vincent Bernat)
 - [94d2efe55a26] doc: add appropriate titles to groups in lldpctl.h (Vincent Bernat)
 - [b1eceab615bf] doc: polish documentation of liblldpctl (Vincent Bernat)
 - [d79c3de4ed9a] tests: fix tests compilation (Vincent Bernat)
 - [011355532558] build: fix "make dist" (Vincent Bernat)
 - [47287a61f1ab] lldpctl: add the possibility to force lldpd to start the main loop now (Vincent Bernat)
 - [8729d69f28a7] lldpctl: allow to display global configuration of lldpd (Vincent Bernat)
 - [8ec333bd2826] lldpd: move configuration stuff into a dedicated structure (Vincent Bernat)
 - [e5b5db2463f0] lldpctl: just require access to the socket for actions, not root priv (Vincent Bernat)
 - [74e0080ed1a0] marshal: don't marshal the list of chassis (Vincent Bernat)
 - [0f957f3abc06] ctl: fix reception of several messages at once (Vincent Bernat)
 - [be9696919434] ctl: don't serialize notification if no client needs it (Vincent Bernat)
 - [82374540f765] ctl: increase maximum message size to 512 KB (Vincent Bernat)
 - [4e90a9e0b465] lldpctl: add a "-w" option to watch neighbor changes (Vincent Bernat)
 - [e0478a46c5c9] client: use libevent's bufferevent infrastructure to handle clients (Vincent Bernat)
 - [4b292b556534] Separate daemon and client code. Provide a client library. (Vincent Bernat)
 - [31093dd92095] dist: provide a complete changelog (Vincent Bernat)
 - [5fb6f53b1d9c] privsep: copy errno before sending it (Vincent Bernat)
 - [f00bebf686b0] redhat: properly restart lldpd on upgrade (Vincent Bernat)
 - [06f9c307dd73] snmp: remove extra '\n' at the end of SNMP log message (Vincent Bernat)
 - [198bbe4085ab] lldpd: demote "unable to guess" to debug (Vincent Bernat)
 - [595184b05260] lldpd: disable SIGPIPE signal (Vincent Bernat)
 - [c461e5dac8cd] configure: cleanup libevent integration (Vincent Bernat)
 - [96e49a40c6c0] Add a `-v` flag to just get version number. (Vincent Bernat)
 - [c882a2cf0c1e] State that the license is usually referred as the ISC license. (Vincent Bernat)
 - [2e91d1a1a0f9] lldpd: listen on Unix socket before forking (Vincent Bernat)

0.6.0 [2012-05-04 22:22:56 +0200]:

 - [eb8e3096a4fe] automake: libevent.la is not a convenience library (Vincent Bernat)
 - [2a836f02ede4] client: fix unused variable when LLDPMED support is not compiled (Vincent Bernat)
 - [01d467defd2f] marshal: use zero-sized array instead of flexible arrays (Vincent Bernat)
 - [5fd6695c090d] Don't mix declarations and statements. (Vincent Bernat)
 - [3685a1f74204] configure: don't check for SLIST_* stuff: we don't use them (Vincent Bernat)
 - [219c432e6df0] snmp: only call run_alarms() on SNMP timeouts (Vincent Bernat)
 - [dc20dd45edc3] configure: make ./autogen.sh non recursive (Vincent Bernat)
 - [223227c8f8d0] configure: use AC_PROG_CXX macro (Vincent Bernat)
 - [ea87eb6dc6cb] configure: always configure libevent to make "make dist" work (Vincent Bernat)
 - [257db8858ee7] ctl: no need to keep a list of active clients (Vincent Bernat)
 - [29fc2d4df9c0] Really ship libevent. (Vincent Bernat)
 - [e5c9465245e4] Ship an embedded copy of libevent. (Vincent Bernat)
 - [f9f801e050ec] configure: don't test for XML2 linking, useless (Vincent Bernat)
 - [19d42b5579ce] configure: remove old unwanted cruft (Vincent Bernat)
 - [75b15cd92ced] configure: drop dependency with libtool (Vincent Bernat)
 - [5b4cd8459dcb] configure: enable compilation of a libevent archive (Vincent Bernat)
 - [68b375c3eacc] Update changelog, travis and packaging for libevent (Vincent Bernat)
 - [d6e889b6888b] lldpd: switch to libevent loop (Vincent Bernat)
 - [1daca82702fb] configure: upgrade to libevent 2.x (Vincent Bernat)
 - [8beb9a73b624] Integration of libevent into the build system. (Vincent Bernat)
 - [b1f816cc30ec] lldpd: on exit, remove remote ports before removing local ones (Vincent Bernat)
 - [d938c51f1240] lldpd: fix chassis copy (Vincent Bernat)
 - [3f0d19bb5a7a] valgrind: initialize some buffers to make valgrind happy (Vincent Bernat)
 - [396cfdfee8b3] When running on valgrind, don't chroot or drop privileges (Vincent Bernat)
 - [ce05de5422c8] travis: add Travis CI link to README (Vincent Bernat)
 - [5345fe05fa8a] tests: when Dot3 feature is disabled, MFS is not transmitted (Vincent Bernat)
 - [f15d3950df21] Allow compilation without Dot1. (Vincent Bernat)
 - [3b5c1f554153] travis: use apt-get instead of aptitude (Vincent Bernat)
 - [998c1acbfe7f] travis: use provided configure argument (Vincent Bernat)
 - [fccbb8cb7f34] Integration with Travis CI (Vincent Bernat)
 - [d4e4c80427cf] mgmt: allow one to provide a pattern to specify management addresses (Vincent Bernat)
 - [2135cce18f63] Update CHANGELOG with entry about management addresses. (Vincent Bernat)
 - [af3caa3bab79] snmp: add support for IPv6 management addresses (Vincent Bernat)
 - [2eec55408cb9] snmp: fix SNMP support for management addresses (Vincent Bernat)
 - [c6a7d3e4a753] edp: ensure we don't add the same address over and over (Vincent Bernat)
 - [5fb27919d237] mgmt: free management addresses when freeing the chassis (Vincent Bernat)
 - [400c64838953] edp: steal IP addresses from the received chassis instead of copying them (Vincent Bernat)
 - [f1e5d0cd3a20] cdp: allow to send several IP addresses (Vincent Bernat)
 - [e6b36c8751d1] Support for multiple IPv4/IPv6 management addresses. (João Valverde)
 - [60e33aec988f] tests: fix location of .h files (they are in top_srcdir, not in top_builddir) (Vincent Bernat)
 - [a9317c745c46] lldpd: add a better error message when we cannot create the unix socket (Vincent Bernat)
 - [4593c0dc0124] configure: automatically compute version from git (Vincent Bernat)
 - [ba5116b5f59d] lldpd: add interface to message about unguessable frame type (Vincent Bernat)
 - [c520cb1446b2] lldpd: do not stay stuck in the receive loop (Vincent Bernat)
 - [350cd69596ae] snmp: better integration of SNMP logging subsystem (Vincent Bernat)
 - [d4afb919c2cb] cdp: allow to override value of platform TLV (Linux by default) (Vincent Bernat)
 - [617233512778] redhat: make the init script compatible with RHEL < 5 (Vincent Bernat)
 - [6578dc6a7cc8] marshal: circumvent cast alignment problems using memcpy (Vincent Bernat)
 - [0c0991d8ced8] tests: when comparing port ID and chassis ID, uses strncmp (Vincent Bernat)
 - [14c929401cf3] Use %zu for printf() when argument is of kind size_t. (Vincent Bernat)
 - [5339e725f4e7] Add a flag to specify which interfaces to use for chassis ID. (Vincent Bernat)
 - [b4ac808343b7] Change the way Chassis ID is assigned. (Vincent Bernat)
 - [566c635dd605] lldpd: remove unneeded forward declarations (Vincent Bernat)
 - [31ee070d4a0f] interfaces: remove unneeded forward declarations (Vincent Bernat)
 - [9c43aeb47ed9] lldpctl: add a flag to display hidden ports (Vincent Bernat)
 - [da92cd5754c3] Update CHANGELOG with actual changes from 0.5.6. (Vincent Bernat)
 - [2c86e3103159] Provide a .gitignore. (Vincent Bernat)
 - [0c79e036b012] Add missing lldpctl.h header file (Vincent Bernat)
 - [132d1e41c368] Use LIBADD instead of LDADD when appropriate. (Vincent Bernat)
 - [e49b274abcb2] Compilation fixes when disabling some part of lldpd (Vincent Bernat)
 - [f6d206319b2f] Major rewrite: rewrite lldpd/lldpctl communication mechanism (Vincent Bernat)
 - [6bf5e749dffa] marshal: fix list marshalling and various other changes (Vincent Bernat)
 - [4d1a5b391098] core: SMART_HIDDEN macro does not really need the configuration (Vincent Bernat)
 - [1e71c30bf070] Point to appropriate LLDP page on Wikipedia instead of disambiguation page. (Vincent Bernat)
 - [8d72aaa09c19] configure: fix an issue with netsnmp_enable_subagent detection (Vincent Bernat)
 - [305e061cbc5e] marshal: add a way to ignore a pointer (setting it to NULL) (Vincent Bernat)
 - [ca4ed9da4720] marshal: handle fixed-size strings (Vincent Bernat)
 - [da7811412516] marshal: allow to specify null-terminated strings (Vincent Bernat)
 - [5e73393be53d] marshal: use shorter macro names (Vincent Bernat)
 - [db3235553830] Add a new serialization engine. (Vincent Bernat)
 - [f3324c93b101] tests: only compile check_snmp if SNMP support is available (Vincent Bernat)
 - [f70081478cb1] snmp: ensure single inclusion of agent.h header (Vincent Bernat)
 - [4e22da4ce3a0] snmp: add unit tests (Vincent Bernat)
 - [902d0d2ecf34] tests: Simplify Makefile.am (Vincent Bernat)
 - [2da3280e895c] Start branch 0.6. (Vincent Bernat)
 - [077f76011035] snmp: factorisation of agent_h_*med*() functions (Vincent Bernat)
 - [14e9519eb3ec] snmp: factorisation of local/remote port handlers (Vincent Bernat)
 - [f645906c8361] snmp: factorisation of local/remote handlers (Vincent Bernat)
 - [e8c9b6bba8a8] snmp: use a header_*indexed function for local management address (Vincent Bernat)
 - [26836a43d2f2] snmp: rework indexing (Vincent Bernat)

0.5.7 [2012-02-29 23:14:41 +0100]:

 - [a8b66dd39ca5] lldpd: do not stay stuck in the receive loop (Vincent Bernat)
 - [c1232d59d6f3] Add previous change to changelog. (Vincent Bernat)
 - [314e1fe612f8] configure: fix an issue with netsnmp_enable_subagent detection (Vincent Bernat)

0.5.6 [2012-01-16 16:16:39 +0100]:

 - [ceb406ad5d4d] Next release for this branch is 0.5.6. (Vincent Bernat)
 - [3b3a1960916d] Continuation of the previous patch. (Vincent Bernat)
 - [58ebf59ee542] frame.h uses very generic memeber names that resusts in conflicts with other defines (Shuah Khan)
 - [51c72e7202ae] snmp: turn the "try next OID" code block into a macro to avoid errors (Vincent Bernat)
 - [a2606cac2d73] core: optimize BPF filter (Vincent Bernat)
 - [ab2d1c1f1ffa] configure: check more SNMP stuff. (Vincent Bernat)
 - [3bfd57f32cbf] Whitelisted driver is not a very informative information. Remove it. (Vincent Bernat)
 - [10935633f43a] Add a whitelist for some drivers (currently: dsa and veth) (Vincent Bernat)
 - [683b17107239] Don't send MFS equal to 0. (Vincent Bernat)
 - [edcce8ce3b1a] cdp: send native VLAN only with CDPv2 (Vincent Bernat)
 - [2a19e9ea23f5] cdp: send native VLAN TLV (Vincent Bernat)
 - [aff85bf3b248] cdp: allow reception of native vlan (Vincent Bernat)
 - [de4092b57aea] /trabmission/tranmission/ (Christopher Johnston)
 - [dc5e2a1dbb0e] Export TZ=/etc/localtime to fix timestamps. (Vincent Bernat)
 - [21d89e7d2119] Spelling corrections (Vincent Bernat)

0.5.5 [2011-11-06 10:24:28 +0100]:

 - [fbda1f9f672e] Fix a missing semi colon. (Vincent Bernat)
 - [cab1ed92266b] Prepare 0.5.5 release. (Vincent Bernat)
 - [5abfffc2ff65] Extend whitelist with possibility to blacklist. (Vincent Bernat)
 - [bf89e7e06467] Fix a segfault when neither /etc/os-release not lsb_release is available. (Vincent Bernat)
 - [a8818344897d] Don't pack struct hmsg since we are not able to do unaligned access on some archs. (Vincent Bernat)
 - [0265b1e5bdb0] dmi: only enable DMI for x86 platforms (Vincent Bernat)
 - [55606d4bf4a0] lldpd: Only grab DMI information once. (Vincent Bernat)
 - [1066729b4f27] snmp: use a 16-bit checksum, not a 15-bit one. (Vincent Bernat)
 - [fbb9deaa30a2] snmp: Dot1 PI support, contributed by Shuah Khan (Vincent Bernat)
 - [dccc6964d2b4] SNMP: Dot1 PPVID, PPVLAN and VLANID support, contributed by Shuah Khan (Vincent Bernat)
 - [de5ce8377899] [check] Add length when encoding Dot1 PI TLV (Vincent Bernat)
 - [bc99d796ad6f] IEEE 802.1 2005 TLV Unit tests (Shuah Khan)
 - [f17501b6de29] Add support of PPVID and PI in changelog (Vincent Bernat)
 - [69de42c471c9] [lldpctl] Fix PVID value when displaying VLANs. (Vincent Bernat)
 - [48acfcaf0861] Some fixes for PPVID and PI. (Vincent Bernat)
 - [5a9cb3db451a] [configure] Fix a typo in help message (Vincent Bernat)
 - [9757bfbcde09] IEEE 802.1 2005 TLV enhancement - PPVID and PI added (Shuah Khan)
 - [676d46b92d29] Fix - lldpd netsnmp sub-agent segfaults when null write_method is passed in (Shuah Khan)
 - [84e06882c89c] Fix key/value output was incorrect when an interface name contains a dot. (Vincent Bernat)
 - [e1933880be0d] cdp: Add CDP_CAP_HOST to outgoing CDP packets (Vincent Bernat)
 - [a9db9b440e10] lldpd: update software version to match man page (Dean Hamstead)
 - [0a36d97b918c] lldp: ensure that boolean values are really boolean (Vincent Bernat)
 - [126286825f6e] ifaddrs: remove unused variable (Vincent Bernat)

0.5.4 [2011-07-02 20:09:58 +0200]:

 - [c06e1135e27f] Release 0.5.4. (Vincent Bernat)
 - [ba85f9f40055] Add a way to specify which interfaces lldpd should listen to. (Vincent Bernat)
 - [195bb7a9c430] README is now README.md. Update Makefile.am. (Vincent Bernat)
 - [5f415bc72ea1] Remove an unused variable. (Vincent Bernat)
 - [e02afca4ee65] Add changelog entry for use of /etc/os-release (Vincent Bernat)
 - [ae87586a12ea] Add support to read /etc/os-release for system information. (Michael Tremer)
 - [514341259194] Update ISC license wording. (Vincent Bernat)
 - [00402c76dc26] Translate README into its markdown equivalent (Vincent Bernat)
 - [f226ec5da741] Suppress a new warning from GCC 4.5 (unused value). (Vincent Bernat)
 - [09721cce9a9e] Move 802.3af/802.3at changelog entry in the appropriate section. (Vincent Bernat)
 - [608cb51caa7d] Add support for 802.3at. (Vincent Bernat)
 - [5ee26cbadd30] Add changelog entries about 802.3af/Dot3 POE-MDI support. (Vincent Bernat)
 - [42ee7382e54a] Allow to set Dot3 POE-MDI TLV from lldpctl. (Vincent Bernat)
 - [befbdf892b0e] Add initial Dot3/802.3at support (Vincent Bernat)
 - [3fd015c03942] Move Dot3 MAC/Phy stuff into a separate structure. (Vincent Bernat)
 - [05eacc7ad702] Allow root to change configuration of lldpd when lldpctl has suid set (Vincent Bernat)

0.5.2 [2010-10-09 16:57:45 +0200]:

 - [edbf114ebe30] Prepare for release (0.5.2). (Vincent Bernat)
 - [33aa26d093e0] Add AM_MAINTAINER_MODE macro to configure.ac. (Vincent Bernat)
 - [3e549e5276dc] Add autogen.sh from buildconf. (Vincent Bernat)
 - [5e64a80e0c5b] Add receive-only mode switch "-r" to usage() (Vincent Bernat)
 - [537a8043c831] Add a receive-only mode with "-r" switch. (Vincent Bernat)
 - [6b41bbd35d40] Hide unwanted remote ports just after receiving information about them. (Vincent Bernat)
 - [8482abe91c08] More flexible smart mode and new default. (Vincent Bernat)
 - [afcb570e8bad] Fix AX_CFLAGS_GCC_OPTION to make it work with autoconf 2.67. (Vincent Bernat)
 - [e5c5ae41249f] Patch to keep wifi and bridge cap when updating chassis. (Vincent Bernat)
 - [a37f8fd665f3] Harden lldpd with the use of RELRO and NOW linker options. (Vincent Bernat)
 - [978364976bae] Reenable SNMP support on Fedora 13. (Vincent Bernat)
 - [d2879532e899] [lldpctl] Fix a spelling error (Vincent Bernat)
 - [93d25046b36b] Sync Debian packaging with official packaging. (Vincent Bernat)
 - [8e555861641d] Provide an initscript targetted at SuSE. (Vincent Bernat)
 - [d4eaf172a79a] Avoid linking lldpd to libxml2 and lldpctl to libnetsnmp. (Vincent Bernat)
 - [ee979e27b31b] net-snmp/agent/utils_func.h header is useless in agent_priv.c (Vincent Bernat)
 - [053d99780e66] Fix compilation with RHEL 5. (Vincent Bernat)
 - [d623a64a778a] Fix .spec for SuSE. (Vincent Bernat)
 - [7b166df3350d] Fix compilation on RHEL and Fedora 13. (Vincent Bernat)
 - [2ceb9bb73659] Be compatible with RHEL4. (Vincent Bernat)

0.5.1 [2010-06-10 17:09:03 +0200]:

 - [445cc3360175] Prepare for release. (Vincent Bernat)
 - [42b39485ea61] Add smart mode support. (Vincent Bernat)
 - [ea67aa3f120a] Revert "configure: try to use -Wl,--as-needed if possible" (Vincent Bernat)
 - [24f27a98b963] Add prototype for lldpd_get_lsb_release(). (Vincent Bernat)
 - [abcbb8205d2d] Group together related configuration information. (Vincent Bernat)
 - [c036b15d68ec] If available, use the output of lsb_release for system description. (Vincent Bernat)
 - [4ea508095301] Don't check CDP checksums. (Vincent Bernat)
 - [4969720835ba] Listen on VLAN using an appropriate BPF filter and VLAN decapsulation. (Vincent Bernat)
 - [0dced9547193] Remove "listen on VLAN" feature. (Vincent Bernat)
 - [01b911bccfa2] configure: try to use -Wl,--as-needed if possible (Vincent Bernat)
 - [20ffcb8e5e37] lldpd.spec: requires openssl since it is required by net-snmp (Vincent Bernat)
 - [44cd2bed8ee0] Make AM_SILENT_RULES optional. (Vincent Bernat)
 - [06db36081491] Fix additional alignment issues for ARM platform. (Vincent Bernat)
 - [dd098289040b] Fix an unaligned access when chassis ID is an IP address. (Vincent Bernat)
 - [2d2f913b8d83] Fix AC_CHECK_DECLS macro in configure.ac (Vincent Bernat)
 - [18c13faa4202] Don't try to guess FD_SETSIZE correct value when cross-compiling. (Vincent Bernat)
 - [5b3214aabd81] Revert "Blacklist VMWare interfaces (as per ticket #40)." (Vincent Bernat)
 - [91eb6d5df809] Blacklist VMWare interfaces (as per ticket #40). (Vincent Bernat)
 - [58fe61281715] Ignore interfaces with no queue. (Vincent Bernat)
 - [fde7a7ce13b5] Typo in usage string of lldpd (Vincent Bernat)
 - [0765b92dd357] Add an entry to the manual page for -S option. (Vincent Bernat)
 - [40ce835b083c] Add -S <system_description> override. (Stig Thormodsrud)
 - [999509a3bdf6] Add a new output for lldpctl: keyvalue. (Vincent Bernat)
 - [8e44f2dca1e8] Add SNMP support of lldpXMedPoE stuff. (Vincent Bernat)
 - [4c0d271570c4] List MDI/PSE and MDI/PD as an available LLDP-MED capability for the chassis. (Vincent Bernat)
 - [a711a821317d] Update unittests for LLDP-MED POE-MDI TLV. (Vincent Bernat)
 - [0d6062891f66] Add a CHANGELOG entry about setting LLDP-MED POE-MDI from lldpctl. (Vincent Bernat)
 - [009ddd234e6e] Allow to set LLDP-MED POE-MDI TLV from lldpctl. (Vincent Bernat)
 - [6d08df0e25d0] Move LLDP-MED POE stuff into a dedicated structure. (Vincent Bernat)
 - [1dcd46651f69] Add SNMP support for lldpXMedRemLocationTable. (Vincent Bernat)
 - [83b86bbdfd83] Merge branch '38-lldpmed-network-policy' (Vincent Bernat)
 - [fd6aa9a3331b] Add SNMP support for lldpXMedLocMediaPolicyTable. (Vincent Bernat)
 - [fdbe55a6c1d7] Ensure that documentation is installed in the right place. (Vincent Bernat)
 - [cefbc419479e] Fix installation of CHANGELOG file in lldpd.spec. (Vincent Bernat)
 - [d8141686d862] Adapt unittests to consider LLDP-MED network policy TLV. (Vincent Bernat)
 - [40d6a8d28719] Add proper credit in CHANGELOG for network policy. (Vincent Bernat)
 - [858df54cb603] Add a CHANGELOG entry about setting network policy from lldpctl. (Vincent Bernat)
 - [b258db587f3e] Allow lldpctl to set both location and policy at the same time. (Vincent Bernat)
 - [86f24df3359c] Allow to set LLDP-MED network policy TLV from lldpctl. (Vincent Bernat)
 - [93108f71542c] Initialize changelog for 0.5.1. (Vincent Bernat)
 - [630b4134e8ca] Fix hang issue in select() loop with SNMP. (Vincent Bernat)
 - [0c877af0a363] Allow to force a protocol. (Vincent Bernat)
 - [b162b740d17a] Add specifically a "-h" switch for lldpd and lldpctl (Vincent Bernat)
 - [a8d659bd15b0] Add "format" option. (Vincent Bernat)
 - [8347587da1c2] Use some conditionals to display some command line options. (Vincent Bernat)
 - [531326167f0d] Add a summary of available options in usage() of lldpd and lldpctl (Vincent Bernat)

0.5.0 [2010-03-13 22:18:03 +0100]:

 - [c8851c73b1f7] Update README with the latest information (Vincent Bernat)
 - [7966933d3ff4] After displaying PVID, close the section tag. (Vincent Bernat)
 - [c3bab3edcb8e] Add XML support for Redhat as well. (Vincent Bernat)
 - [0c39338e283e] Compile with XML enabled for Debian. (Vincent Bernat)
 - [aadc99360ba5] Remove unused chassis in lldpd_cleanup() instead of lldpd_port_cleanup(). (Vincent Bernat)
 - [bc598c23dc61] Retrieve FD_SETSIZE in a sane environment. (Vincent Bernat)
 - [9df5ec3d7836] Increase refcount of the local chassis when a new port is created. (Vincent Bernat)
 - [4f6020424f33] Add a CHANGELOG entry for XML output functionality. (Vincent)
 - [a1c57ef29aca] Fix wrong age display. (Andreas Hofmeister)
 - [95e3bdf5fd03] Use LLOG_WARNX in xml_writer.c and remove superfluous newlines. (Andreas Hofmeister)
 - [3822145901cc] Add the text output label as "label" attribute to all xml elements. (Andreas Hofmeister)
 - [3c26500bef4f] Fix error handling in location data. (Andreas Hofmeister)
 - [1480ce745f23] Implement an XML writer. (Andreas Hofmeister)
 - [f4d33e6bf103] Implement a basic "writer" infrastructure to emit structured text. (Andreas Hofmeister)
 - [2e1ea85060c7] Rip display related stuff out of lldpctl and put into display.c (Andreas Hofmeister)
 - [72c00381999c] Avoid dereferencing a type-punned pointer. (Vincent)
 - [9898ac078def] Free unused chassis. (Vincent)
 - [a0aa43e90db3] Don't listen/send LLDP packets on bridge. (Vincent)
 - [8c37e19aa948] Do not require libtool 2.2 (Andreas Hofmeister)
 - [9a784fd2a506] Make lldpctl refuse attempts to change anything when running setuid. (Andreas Hofmeister)
 - [f5bc67eecf3e] Fix autoconf complains about libtool. (Andreas Hofmeister)
 - [740d517e1fd0] Add a manual page for the new -X option. (Vincent)
 - [bbea66e1caeb] Allow to specify the AgentX socket to use (instead of the default one). (Vincent)
 - [ed1e79270d94] Ensure that umask is set at a sensible value before building the chroot. (Vincent)
 - [c0ce5d1a2aee] For Redhat, adapt init.d script to initialize the chroot. (Vincent)
 - [9a79e6d59327] For Debian init.d, build the chroot before starting the daemon. (Vincent Bernat)
 - [53c653ea7e2f] Change handling of conditional builds in the spec file (Peter Kjellström)
 - [55d3f2f40f1f] Merge branch '30-vlanid-without-name' (Vincent Bernat)
 - [77c4d9d0fdf9] Don't set MFS with MTU value. (Vincent Bernat)
 - [be1f74526a8f] Display PVID even when we don't know its name. (Vincent Bernat)
 - [5bbe5fd0bb33] Cope with Port VLAN ID but no VLAN names. (Vincent Bernat)
 - [915dc28b79c1] Make netsnmp headers compatible with C99. (Vincent Bernat)
 - [fa835fd55383] Make lldpctl display the age of displayed information. (Vincent Bernat)
 - [45e89c8c483d] Add some additional GCC options by default. (Vincent Bernat)
 - [4b9a5a2384c8] Get timezone info before being in the chroot. (Vincent Bernat)
 - [2bd9c1c90069] Fix file descriptor leak when enabling "listen on VLAN" feature (Vincent Bernat)
 - [0d86e62fcff0] Reset "sent" flag for each port when sending. (Vincent Bernat)
 - [0bded8580cf7] Update CHANGELOG to reflect recent feature merges. (Vincent Bernat)
 - [b7eb76b70f92] Add CHANGELOG from 0.4.1. (Vincent Bernat)
 - [cefe8d058597] Merge branch '15-old-compat' (Vincent Bernat)
 - [114d1d31f635] Also ship CHANGELOG file (Vincent Bernat)
 - [35097709fa3f] Define ioctl for VLAN and bond. (Vincent Bernat)
 - [8f88ff70535d] Fix some warnings about incompatible pointer types. (Vincent Bernat)
 - [8e4b9031d9e3] Save cache at various points of configure script. (Vincent Bernat)
 - [b56625e6d81d] linux/filter.h may need linux/types on old systems. (Vincent Bernat)
 - [6bb9c4e01fd8] Add support for libc not defining __progname symbol. (Vincent Bernat)
 - [d38eae28a90e] Rework autoconf stuff. (Vincent Bernat)
 - [f0824c4aa5ec] Fix some warnings in tests. (Vincent Bernat)
 - [91a36cea4b32] Include manual pages into distribution. (Vincent Bernat)
 - [6f1046d1b9ee] Use "void" instead of empty parameter list for function prototypes. (Vincent Bernat)
 - [8e544ee42e4e] Use libtool convenience libraries for common files for lldpd and lldpctl. (Vincent Bernat)
 - [f0bd3505f46d] Replace index() by strchr() (Vincent Bernat)
 - [f4ed5af17ba1] When SYSFS_BRIDGE_* stuff does not exist, just use old /proc. (Vincent Bernat)
 - [563e2dfc9648] Compatibility with gcc 2.95.x: add spaces around __VA__ARGS__ (Vincent Bernat)
 - [f2af17b36fd6] More ethtool compatibility (Vincent Bernat)
 - [b5c7ce8d2c0a] Compilation fix for ancient gcc. (Vincent Bernat)
 - [de1b1b3a2bcb] Add '-k' flag to disable kernel version advertising. (Vincent Bernat)
 - [b9f4c12081cd] Bridge ioctls cannot be used with a 32bit userland on a 64bit kernel. (Vincent Bernat)
 - [586952454aee] Fix LSB header in provided Debian init.d script. (Vincent Bernat)
 - [e51da5ecd24d] Add missing argument in some call to LLOG_INFO in lldp.c. (Vincent Bernat)
 - [4b70c539e3f4] Do not include <ifaddrs.h> since we want to replace it. (Vincent Bernat)
 - [9b9b31beb950] Provide another getifaddrs implementation, stolen from USAGI project (Vincent Bernat)
 - [b79975281ed6] Add getifaddrs() replacement for system without it. (Vincent Bernat)
 - [4e26d88f8629] Remove *.pcap file on clean. (Vincent Bernat)
 - [d02bb4614416] Add unit tests for EDP (Vincent Bernat)
 - [5aa86a41befa] Add SONMP unit tests. (Vincent Bernat)
 - [e94742074999] Add CDP unit tests. (Vincent Bernat)
 - [4dc61015f57a] Move pcap stuff into a separate file to allow sharing with future tests. (Vincent Bernat)
 - [31375299d19d] Disable some tests when some features (dot1, dot3, lldpmed) are not enabled. (Vincent Bernat)
 - [9360858c8b83] fail_* macros do not break execution flow. (Vincent Bernat)
 - [654f6246b3a6] Add LLDP receive tests (Vincent Bernat)
 - [fedf4d777235] Add LLDP send tests. (Vincent Bernat)
 - [9d0a8a89f425] Add unit tests for lists packing/unpacking. (Vincent Bernat)
 - [2acc14181074] Unit tests for packing/unpacking. (Vincent Bernat)
 - [72dc524ebdfc] Update signature of transport string function for SNMP. (Vincent Bernat)
 - [a8db600793bb] Fix bug in CDP packet generation: CDP version was always 1. (Vincent Bernat)
 - [7a00807502e7] Fix compilation issues when DOT1 or DOT3 are not enabled. (Vincent Bernat)
 - [f8cb50faab34] Fix comment of iface_port_name_desc() (Vincent Bernat)
 - [36bd79e367cd] Use ifAlias from newer Linux kernels if available. (Vincent Bernat)
 - [44002d6615d6] Set h_ifindex correctly. (Vincent Bernat)
 - [77d7090e199a] Add a callback mechanism to watch for incoming data on sockets. (Vincent Bernat)
 - [692fe9bb4cee] Add a note about EDP in changelog. (Vincent Bernat)
 - [775d49a0c45d] Update changelog. (Vincent Bernat)
 - [993a6e50892d] Make "listen on vlan" feature optional at compile-time. (Vincent Bernat)
 - [cfe00f7f1a5b] There are duplicate in the list of address we give to handler functions. We need to acknowledge this correctly. (Vincent Bernat)
 - [6a2fa591c100] Add back "listen on VLAN" feature. (Vincent Bernat)
 - [5994b27db0fd] One VLAN can be associated to multiple interfaces through bridge or bond. Handle those cases appropriately. (Vincent Bernat)
 - [849954d702bf] Add back support for bonding using the new architecture. (Vincent Bernat)
 - [4e624dc2f10a] Don't free statically allocated port. (Vincent Bernat)
 - [6e75df87a63c] Change the way interface information are collected. (Vincent Bernat)
 - [16f910e12fe3] Move chassis update to a function. (Vincent Bernat)
 - [7a53c5b93838] Fix SNMP support to handle multiple systems on the same port. (Vincent Bernat)
 - [62c126aae146] Fix support for EDP with respect to multisystem support. EDP VLAN are transmitted in another VLAN and therefore need to be attached to the right existing system. (Vincent Bernat)
 - [f4c439022a95] Add some debug output to track know remote systems/ports. (Vincent Bernat)
 - [84853b9208a7] Adapt lldpctl to display received systems for each port. (Vincent Bernat)
 - [77507b697e3e] Handle reception of several different systems on each port. (Vincent Bernat)
 - [750687244970] Update lldpd.h to support a list of remote systems. (Vincent Bernat)
 - [f2dcb1804e2c] Simplify multiprotocols handling. Remove probing. This is not very usable for now but this will be enhanced when we will support multiple systems on the same port. (Vincent Bernat)
 - [0bc32943e99b] Suppress bond handling. This will be done in another way later. (Vincent Bernat)
 - [71936c67e6d4] Suppress "listen on vlan" feature. This will be reimplemented later in a more generic way. (Vincent Bernat)
 - [42bddd41f66d] When LLDP-MED is not enabled, do not send inventory. (Vincent Bernat)
 - [ef76f9200685] Keep gcc happy with 'const' keyword. With optimization -O0, gcc seems to handle more carefully 'const' keyword. (Vincent Bernat)
 - [98faedcfe8ba] Use chassis ID when sending EDP packets. (Vincent Bernat)
 - [7c11435e7fb8] Fix EDP vlan handling when there is no VLAN (Vincent Bernat)
 - [46daea614362] Remove misc/ directory. This directory is old junk code. (Vincent Bernat)
 - [777c32ead5a3] Fix the case where last change < start time. This case can happen if the master agent is restarted: lldpd last change will be before the start of the master agent. (Vincent Bernat)
 - [268191540251] Adapt .spec file to work with actual tar.gz. lldpd.init and lldpd.sysconfig should be shipped into src.rpm package. (Vincent Bernat)

0.4.2 [2010-03-10 22:29:37 +0100]:

 - [1c8b2a471115] Prepare 0.4.2 release (Vincent Bernat)
 - [a01d4f8c89f6] Use chassis ID when sending EDP packets. (Vincent Bernat)
 - [d7390a085b56] Bridge ioctls cannot be used with a 32bit userland on a 64bit kernel. (Vincent Bernat)
 - [af41b46ee95d] Ensure that umask is set at a sensible value before building the chroot. (Vincent)
 - [0d611979150b] For Redhat, adapt init.d script to initialize the chroot. (Vincent Bernat)
 - [cd0f174718ff] For Debian init.d, build the chroot before starting the daemon. (Vincent Bernat)
 - [0dd62c81a47e] Update changelog for future 0.4.2 version. (Vincent Bernat)
 - [65727e4a8f23] Don't free statically allocated port. (Vincent Bernat)

0.4.1 [2009-09-30 14:30:30 +0200]:

 - [a03e43af9ae2] Also ship CHANGELOG file (Vincent Bernat)
 - [cf1ea20a2db7] Update changelog for 0.4.1. (Vincent Bernat)
 - [fc4667f0e8e6] Prepare 0.4.1 release. (Vincent Bernat)
 - [6fa286928eac] Include manual pages into distribution. (Vincent Bernat)
 - [c3bdd0d81a68] Add missing argument in some call to LLOG_INFO in lldp.c. (Vincent Bernat)
 - [be685f6debbc] Fix bug in CDP packet generation: CDP version was always 1. (Vincent Bernat)
 - [cd697ad19a8f] Fix EDP vlan handling when there is no VLAN (Vincent Bernat)
 - [23d9c6bf9c79] Fix the case where last change < start time. This case can happen if the master agent is restarted: lldpd last change will be before the start of the master agent. (Vincent Bernat)

0.4.0 [2009-05-19 14:42:45 +0200]:

 - [accd4a6587b0] Update version in configure.ac (Vincent Bernat)
 - [45444847259e] If net-snmp/agent/struct.h does not exist, provide an empty one. (Vincent Bernat)
 - [3d6585f3ae56] Add init script for RPM (Vincent Bernat)
 - [edc4813f73b5] Enhance .spec. Enable SNMP support when building RPM. Create lldpd user/group. (Vincent Bernat)
 - [0f6eb1ee97a1] Fix URL and description to match Debian package. (Vincent Bernat)
 - [80530161402b] lldpd.spec for RPM package, contributed by Dean Hamstead. (Vincent Bernat)
 - [bac91719401f] Also check for VLAN on bridges. (Vincent Bernat)
 - [b29c23cc9cb0] Some virtual ethernet interfaces do not have IFF_MULTICAST flag. We use them if they have at least the IFF_BROADCAST flag. This is useful for Xen Dom0 to get LLDP information from DomU. (Vincent Bernat)
 - [a204514fa338] Fix a parsing error for link aggregation TLV in LLDP (Vincent Bernat)
 - [fe4a89de3873] Add missing frame.c (Vincent Bernat)
 - [a0edeaf8c46a] When cleaning up a port in the context of refreshing gathered information, don't clean LLDP-MED location information. However, when cleaning up a port for removal, clean them. (Vincent Bernat)
 - [bc08499a5e18] Fix LLDP-MED class type sending: it is 1 byte large, not 2. (Vincent Bernat)
 - [3d1337f37e8c] Fix alignment issue that may appear when reading 64bit integers. (Vincent Bernat)
 - [a8105c1b10d0] Major rewrite for packet builder and parser. (Vincent Bernat)
 - [70d8fe9813a0] Fix unaligned memory access in ctl.c using memcpy instead of pointer magic. This needs to be done on encoding/decoding too. (Vincent Bernat)
 - [c933faf61396] Call res_init in case of failure to resolv names (Vincent Bernat)

0.3.3 [2009-03-08 16:52:54 +0100]:

 - [40a7221cb407] Prepare release 0.3.3 with a patch backported from future 0.4. (Vincent Bernat)
 - [17a6a18d7eb5] When cleaning up a port in the context of refreshing gathered information, don't clean LLDP-MED location information. However, when cleaning up a port for removal, clean them. (Vincent Bernat)

0.3.2 [2009-03-02 16:07:06 +0100]:

 - [34602f3b1cdd] Fix lldpctl when LLDP-MED is enabled. Prepare new release. (Vincent Bernat)
 - [a80ca699de13] Fix warning when compiling without LLDP-MED (Vincent Bernat)

0.3.1 [2009-02-27 21:57:20 +0100]:

 - [d32c89440b0c] Prepare version 0.3.1 (Vincent Bernat)
 - [b7c1b7c2433a] Use memcpy instead of strlcpy when copying interface names to static buffers. (Vincent Bernat)
 - [63f4b177e9b9] When refreshing port information, clean up existing information! (Vincent Bernat)
 - [55d63368c919] Don't try to reset the interface when removing it (Vincent Bernat)
 - [4f758bc0080b] Fix double free for local ports (Vincent Bernat)
 - [d243d47d6362] Fix a memory leak that can happen when a port is removed or renamed (Vincent Bernat)
 - [ec1721712705] Don't free c_med_sw for local chassis. It is allocated and freed elsewhere. (Vincent Bernat)
 - [397dee69ccda] Fix an error when reading LLDP-MED packet (Vincent Bernat)
 - [517d524b6797] Fix a memory leak when using LLDP-MED (Vincent Bernat)
 - [44a843aad9c2] Lower log level for problem when getting bridge info (Vincent Bernat)
 - [e70b76f986e6] Also check if the interface is RUNNING before considering it active. (Vincent Bernat)
 - [7d58de887e4b] Merge branch 'master' of ssh://ace.luffy.cx/srv/git/lldpd (Vincent Bernat)
 - [d1d94791fd8a] Fix compilation when SONMP and EDP are disabled (Vincent Bernat)
 - [a15ddba7e50e] Don't output any warning when bridge support is not enabled at all. (Vincent Bernat)
 - [9ec6b11147c8] FDP seems to use a non-flawed checksum (Vincent Bernat)
 - [6d07eaeed80c] Don't compile FDP stuff if not needed. (Vincent Bernat)
 - [45e96f2e969c] Fix lldpctl to display capability bit "Router" (Vincent Bernat)
 - [bf5170882f45] Handle FDP capabilities (Vincent Bernat)
 - [8888d1917256] Use static for all not to be exported symbols (Vincent Bernat)
 - [740593ff7475] Move LLDP-MED location/policy to port instead of chassis. Handle setting of location in lldpctl instead of lldpd. (Vincent Bernat)
 - [4b7f39b1a3a8] Adding missing values for MAU type, thanks to James Lingard. (Vincent Bernat)
 - [d2012fb3ba6c] Fix compilation without EDP (Vincent Bernat)
 - [75b3469d012e] Handle reception and display of PVID (Vincent Bernat)
 - [748e05dff920] This is maximum frame size, not MTU (Vincent Bernat)
 - [548109b2074a] Add Maximum Frame Size support. For Linux, we just use MTU as MFS. (Vincent Bernat)

0.3 [2008-12-14 12:06:33 +0100]:

 - [de44f0685e11] Fix manual page (missing .El) (Vincent Bernat)
 - [9dbba5ae1996] Prepare new 0.3 version (Vincent Bernat)
 - [a09c32f77be1] Add a note about the fact that location option could be moved to lldpctl. This will be done when we can keep persistent data. (Vincent Bernat)
 - [7286246f5d43] Do not try to set media type network policy since its usefulness is near zero when not being able to set it differently on each port. Those kind of information should be set through SNMP. (Vincent Bernat)
 - [115ff55c3b71] Allow to send LLDP-MED location. (Vincent Bernat)
 - [c790233e521e] Accept too large TLV for LLDP (Vincent Bernat)
 - [ccea83b2194a] Allow to specify interfaces to display on lldpctl command line (Vincent Bernat)
 - [a806f67af4e7] Don't display management IP if there is none (Vincent Bernat)
 - [9d09937f2fad] Add SLIST support for libc not shipping it (like Sarge) (Vincent Bernat)
 - [1e379fe3d038] Fix parsing of LLDP-MED location, including display of altitude and datum. (Vincent Bernat)
 - [1be9e1b58f87] Export PSE/PD LLDP-MED stuff to SNMP (Vincent Bernat)
 - [4a2acc8ebb12] SNMP support for LLDP-MED location and network policy (Vincent Bernat)
 - [c1471068c468] Merge branch 'master' into lldpmed (Vincent Bernat)
 - [89590c8f0461] Padding and alignment is really the same thing. (Vincent Bernat)
 - [34261a93eb8e] Fix alignment problems. (Vincent Bernat)
 - [0d83ebaec154] Fix compilation on 32bits arch by using long long int constants. (Vincent Bernat)
 - [0c8f36f317b2] Rewrite structure packing to handle substructures correctly. There are still some problems... (Vincent Bernat)
 - [a9e9242e473e] Do not display autoneg stuff when we have nothing (Vincent Bernat)
 - [b5a6c4796eb3] Handle more gracefully DNS problems by keeping nodename (Vincent Bernat)
 - [a26fc61cbad1] Use 0:0:0:0:0:0 MAC address when sending on inactive slaves (Vincent Bernat)
 - [3cb138e01b8e] Simplify MAC address generation for enslaved inactive devices (Vincent Bernat)
 - [1d291522e96d] For enslaved devices, get the real MAC address from /proc/net/bonding (Vincent Bernat)
 - [d9be8ea0aa1a] Factorize out cleanup of lldpd_hardware structure (Vincent Bernat)
 - [4395f9c11b13] Do not share port id with interface MAC address (port id can be freed, while interface MAC address is staticaly allocated) (Vincent Bernat)
 - [f7db0dd82b3d] When sending on inactive slaves, use a random MAC address (Vincent Bernat)
 - [4982b8649d33] Display available capabilities instead of enabled capabilities (they are listed below) (Vincent Bernat)
 - [a49b3a79b616] Handle correctly MDI/PSE or PD capabilities (Vincent Bernat)
 - [994812b9b52e] Parse LLDP-MED MDI when receiving frames (Vincent Bernat)
 - [650cae58d9d1] Parse location for LLDP-MED. (Vincent Bernat)
 - [e3a44efb9d3c] Accept to receive several location and several network policy for LLDP-MED (Vincent Bernat)
 - [beeaefa353f0] Don't send anything on inactive slaves (this confuses most switches) (Vincent Bernat)
 - [4cff932d168b] Dump less information for LLDP-MED location data (Vincent Bernat)
 - [228fcecd43c9] Don't output too many new lines when displaying LLDP-MED information (Vincent Bernat)
 - [b530152e5269] Encode location data as data+len to enable use of 0 characters. (Vincent Bernat)
 - [fd6f5ab77560] Merge branch 'master' into lldpmed (Vincent Bernat)
 - [c0a395035d6c] Do not close control socket when there is an ethtool ioctl problem: we want to use it for future ioctl... (Vincent Bernat)
 - [40ecae87747e] Compute and handle correctly LLDP-MED capabilities (available and enabled) (Vincent Bernat)
 - [efe3f9b0fcb0] More LLDP-MED support, thanks to Michael Hanig. (Vincent Bernat)
 - [a700e935a122] Some equipments send empty TLV for optional TLV (Vincent Bernat)
 - [43655386247f] Complete changelog with recent changes (Vincent Bernat)
 - [7985ba6247d2] Add configuration switch to disable LLDP-MED inventory sending (Vincent Bernat)
 - [e809a587bb1a] Add an option to not send LLDP-MED inventory TLV (Vincent Bernat)
 - [1fea2128f426] Remove unneeded iface_is_bridged function (Vincent Bernat)
 - [c6df6eb9e060] Handle bridge in a different way using BRCTL_GET_BRIDGES instead of trying to ioctl all devices (Vincent Bernat)
 - [1531f7f30b16] More natural definition of packing macros (Vincent Bernat)
 - [d3322e2362d3] Use lldpd_*_cleanup() functions instead of manual free (Vincent Bernat)
 - [a1347cd86b43] Add a way to disable Dot1 and Dot3 (Vincent Bernat)
 - [72c4c96fdcba] Fix a typo when receiving LLDP-MED inventory asset id. (Vincent Bernat)
 - [44cbe5680871] Fix reception of LLDP-MED inventory: one byte was stripped (Vincent Bernat)
 - [b193e97e22c8] Update CHANGELOG and README to state that LLDP-MED is supported (Vincent Bernat)
 - [1d88c8434cc8] Add support for LLDP-MED retrieval through SNMP (Vincent Bernat)
 - [6772b2377970] Implement LLDP-MED reception and display (Vincent Bernat)
 - [89840df069d4] Start support of LLDP-MED: send support is implemented (Vincent Bernat)
 - [315587efa487] Move at the bottom of configure.ac the instructions to conditionaly compile additional protocols (Vincent Bernat)
 - [4bad19376291] Allow to compile only needed protocols (Vincent Bernat)
 - [bff3c98df955] Fix a bug happening when walking local management address part of the MIB (Vincent Bernat)
 - [52ac3f370b38] Add a word about the default (broken) NetSNMP installation. (Vincent Bernat)
 - [5ac76ebafe44] When unable to connect to SNMP socket, give a sensible error message (Vincent Bernat)
 - [90149ee346a2] When monitored process dies early, handle this case gracefully (Vincent Bernat)
 - [9aee81ae0466] Define ADVERTISED_(Asym_)?Pause if not defined in linux/ethtool.h (Vincent Bernat)

0.2.1 [2008-11-19 20:08:11 +0100]:

 - [ff1910c812a7] Prepare a new release (Vincent Bernat)
 - [0aa5f6766136] Fix open() calls (Vincent Bernat)
 - [461bd4909be4] Fix .Bl parameter in manual pages (Vincent Bernat)

